Index: main/trunk/gli/classes/dictionary_am.properties
===================================================================
--- main/trunk/gli/classes/dictionary_am.properties	(revision 23553)
+++ main/trunk/gli/classes/dictionary_am.properties	(revision 23554)
@@ -16,8 +16,8 @@
 AboutDialog.Item5:'How to disable file renaming in file chooser' - vladi21 (http://www.experts-exchange.com/)  
 AboutDialog.Item6:Autoscrolling' - áá« áµááá á á®á á­áµ á€á­áµá²áá£ áá­á­ áá­ á¥á áŽá­ ááµ (http://www.oreilly.com/catalog/jswing/chapter/dnd.beta.pdf)  
-AboutDialog.Item7:Add ghosted drag images to your JTrees' - á  á ááµáªá á/á á­ááµáµá®áá (http://www.javaworld.com/javaworld/javatips/jw-javatip114.html)  
+AboutDialog.Item7:Add ghosted drag images to your JTrees' - á á ááµáªá á/á á­ááµáµá®áá (http://www.javaworld.com/javaworld/javatips/jw-javatip114.html)  
 AboutDialog.Item8:Stop annoying java.prefs error when you don't have superuser access' - ááµáá á ááá°á­ á»áµá  
 AboutDialog.Item9:New folder', 'delete' á¥á 'help' á á¶ááœ ášáµá®ááá áá! á á¶ áµá¥áµá¥ á  á²áášáµáµá¬ áá¬á«á£ ášáááá áš http://art.gnome.org/  
-AboutDialog.Java_Req:áá« áš á°á áá­á­á®á²áµá°ááµ áááµ ááá­áµ ááá¢ áá á­á¢á á³áá ášá°á°á«ášá á á°ááááá³á áá­á°ááµ á°á­ááµ áá°ášáµá£ áš http://java.sun.com/j2se/1.4.1/j2re-1_4_1_02-license.html  á áááá  ááá¢   
+AboutDialog.Java_Req:áá« ášá°á áá­á­á®á²áµá°ááµ áááµ ááá­áµ ááá¢ áá á­á¢á á³áá ášá°á°á«ášá á á°ááááá³á áá­á°ááµ á°á­ááµ áá°ášáµá£ áš http://java.sun.com/j2se/1.4.1/j2re-1_4_1_02-license.html  á áááá  ááá¢   
 AboutDialog.Java_Req_One:á­á
  áá¥áµ áš á á­á€áµá€ á°á©áªá²á£ á¢á­á€áá² áááµ ášá°ááá° á®áµá á«á«áµá³áá¢  
@@ -55,10 +55,10 @@
 Autofilter.Remove:á á¥á« á áµáááµ  
 Autofilter.Remove_Tooltip:á­á
-á á á¥á« áš á°áá ášá¡ á ááµ á áµáááµ  
+á á á¥á« ášá°áá ášá¡ á ááµ á áµáááµ  
 Autofilter.Set:á á¥á« á áµá°á«á­á  
 Autofilter.Set_Tooltip:á­á
 á á á¥á« áá° á°áá ášá¡ á ááµ ášáá­  
 Autofilter.Table_Header_Tooltip:á á¥á« á  {0}  
-Autofilter.Title:á«áµ á á¥á« áá³á³á³  
+Autofilter.Title:á«áµá á¥á« áá³á³á³  
 Autofilter.eqeq:á­ááá  
 Autofilter.!eq:á¥á©á á«ááá  
@@ -102,7 +102,7 @@
  á á£á á£ááµ á£áá á­ááœá¶áœ (á¥á ááá£á­áµ á
 áá) áá­ á áµááµ ášá°áášáš ááá¢  
-CDM.BuildTypeManager.mgpp:MGPP  
+CDM.BuildTypeManager.mgpp:á€áááá  
 CDM.BuildTypeManager.mgpp_Description:á­á
- á á²á± ášMG (MG plus plus) áµáªáµ ášá°á°á«á á áá ááááµ á²áá³á áá­á¥ášáª áá®áá­áµ ááá¢ á¥á±á á áá á°ášá á¢ááŽá­áµ á­á°á«áá£ á­á
+ á á²á± ášá€áá (á€áááá) áµáªáµ ášá°á°á«á á áá ááááµ á²áá³á áá­á¥ášáª áá®áá­áµ ááá¢ á¥á±á á áá á°ášá á¢ááŽá­áµ á­á°á«áá£ á­á
 á á ááµá­á£ á áášá á¥á á á
 á­á áµ ááá á á¢ááŽá­á°á© á¥áá²ášááá á«áµáœááá¢ ášá¡áá«á áááááœ á á
@@ -204,5 +204,5 @@
 CDM.GUI.Classifiers:ášáá°á» á­áá²áášá®áœ  
 CDM.GUI.Formats:ášá
-á­ááµ á£ááªá«áµ  
+á­áœ á£ááªá«áµ  
 CDM.GUI.General:á á ááá­  
 CDM.GUI.Indexes:á¢ááŽá­á¶áœ ááá  
@@ -215,9 +215,9 @@
 CDM.GUI.Translation:á
 áá á°á­áá  
-CDM.GUI.DepositorMetadata:ášáá á«ááá« áá³á³á³  
-CDM.HelpButton:ááá
- áá« á¥áá  
+CDM.GUI.DepositorMetadata:Deposito áá³á³á³  
+CDM.HelpButton:á¥áá ááá
+ áá«  
 CDM.HelpButton_Tooltip:ááá
- áá« ášGLI á¥ááá á­ááµ  
+ áá« ášáá€áá á­ á¥ááá á­ááµ  
 CDM.IndexManager.Add_Index:á¢ááŽá­áµ ášáá­  
 CDM.IndexManager.Add_Index_Tooltip:ášá°áášá áá á¢ááŽá­áµ ášáá­  
@@ -226,5 +226,5 @@
 CDM.IndexManager.Index_Exists:á« á¢ááŽá­áµ ááá
  á­ááœáµ á°á°á¥á·áá¢  
-CDM.IndexManager.Indexes:ášá°á°á¡ á¢ááŽá­á¶áœá  
+CDM.IndexManager.Indexes:ášá°á°á¡ á¢ááŽá­á¶áœ  
 CDM.IndexManager.Level:á¢ááŽá­áµ ášááµášá á°ášáá€  
 CDM.IndexManager.Level_Tooltip:á¢ááŽá­áµ áá°ášáµ ášáá«á°á­áá áµ áœááá á ááµ  
@@ -238,5 +238,5 @@
 CDM.IndexManager.Remove_Index_Tooltip:ášá°áášá áá á¢ááŽá­áµ á áµáááµ  
 CDM.IndexManager.Replace_Index:á¢ááŽá­áµ á°á«  
-CDM.IndexManager.Replace_Index_Tooltip:ášá°áášá áá á¢ááŽá­áµ á áµáµ  
+CDM.IndexManager.Replace_Index_Tooltip:ášá°áášá áá á¢ááŽá­áµ á ááá  
 CDM.IndexManager.Select_All:áááá áášá¥  
 CDM.IndexManager.Select_All_Tooltip:ášá¢ááŽá­áµ ááá­ áášá¥  
@@ -258,5 +258,5 @@
 áá ááá«ášá«  
 CDM.IndexingManager.Separate_cjk_Tooltip:<html>ášCJKá á
-áá (á»á­ááá£ áááá, á®áªá«á) á­áá«á­á£áá¢ á á áá á°ááµ á á¥á«áá³áá± ášCJK áá°á ááá á­ááµ áŠá³ ááµáá£áµá á«á«áµá³áá¢ <br> á
+áá (á»á­ááá£ ááááá£ á®áªá«á) á­áá«á­á£áá¢ á á áá á°ááµ á á¥á«áá³áá± ášCJK áá°á ááá á­ááµ áŠá³ ááµáá£áµá á«á«áµá³áá¢ <br> á
 áá áá° áááµ á«áá°áá«ášá  á áµá°áá­ CJKá á
 áá ááááá á­á á
@@ -274,5 +274,5 @@
 CDM.LanguageManager.Selector:ášáášáá©áµ áááááœá€  
 CDM.LanguageManager.Selector_Tooltip:ášá¢ááŽá­áµ á á«áá­ ášáááá£á£ážá áááááœ  
-CDM.LanguageManager.Set_Default:áá£áªáá á ááá
+CDM.LanguageManager.Set_Default:áá£áª á ááá
   
 CDM.LanguageManager.Set_Default_Tooltip:ášá°áášá áá ááá á á«áá­ áá£áª á áµá­á  
@@ -288,6 +288,6 @@
 CDM.Move.At_Bottom:á áá­áá© áášášá» áá­ áµááá {0} {1} áá°á³áœ áááá³ááµ á á­á»ááá¢  
 CDM.Move.At_Top:á áá­áá© ááááªá« áá­ áµááá {0} {1} áá°áá­ áááá³ááµ á á­á»ááá¢  
-CDM.Move.Cannot:á¬á­ááá á¥á á á­á­ááá á áá­áá© áášášá» áá­ ááá áµááá£ážá {0} áá°á³áœ áááá³ááµ á á­á»ááá¢  
-CDM.Move.Fixed:<html>á¬á­ááá á¥á á á­á­ááá á á á ááá­ áášášá» áá­ á¥áá²áá á­áááá á¥áá ášáá­ááá³áá± áážáá¢<br>áááá³ááµ ášáµá á«áµáááá
+CDM.Move.Cannot:RecPlug á¥á ArcPlug á áá­áá© áášášá» áá­ ááá áµááá£ážá {0} áá°á³áœ áááá³ááµ á á­á»ááá¢  
+CDM.Move.Fixed:<html>RecPlug á¥á ArcPlug á á á ááá­ áášášá» áá­ á¥áá²áá á­áááá á¥áá ášáá­ááá³áá± áážáá¢<br>áááá³ááµ ášáµá á«áµáááá
  á collect.cfg áá­á ááµá¥ á á¥á
  á áµá°á«á­áá¢</html>  
@@ -296,9 +296,9 @@
 áµ  
 CDM.Move.Move_Up:áá° áá­  
-CDM.Move.Move_Up_Tooltip:ášá°áášá áá áá­ááµ á áá­áá© áá°áá­ á ááá³á
+CDM.Move.Move_Up_Tooltip:ášá°áášá áá áá­ááµ á áá­áá© áá° áá­ á ááá³á
 áµ  
 CDM.Move.Title:áµá
 á°áµ - áááá³ááµ á á­á»áá  
-CDM.PlugInManager.Add:áááá ášáá­âŠ  
+CDM.PlugInManager.Add:áááá ášáá­âŠ  
 CDM.PlugInManager.QuickAdd:áááá ášáá­  
 CDM.PlugInManager.Add_Tooltip:ášá°áášá áá áááá ááá
@@ -308,6 +308,6 @@
 CDM.PlugInManager.Configure_Tooltip:ášá°áášá áá áááá á áá«á®áœ áá­á­  
 CDM.PlugInManager.Ignore:áááá á áµášáá­  
-CDM.PlugInManager.Ignore_Tooltip:ááážááá áááááœ ááá
- á­ááœáµ á áµášáá­á¢  
+CDM.PlugInManager.Ignore_Tooltip:ááá
+ á­ááœáµ ááážááá áááááœ á áµášáá­á¢  
 CDM.PlugInManager.PlugIn:ášáášáá­ áááá áášá¥á€  
 CDM.PlugInManager.PlugIn_Tooltip:á­á
@@ -316,5 +316,5 @@
 CDM.PlugInManager.PlugIn_XML_Parse_Failed:áš {0}\náááá áááª á¥áŽá¶áœá ááá
  á áá°á»ááá¢ á¥á£á­á
- ášá°áááá áááá\náš -xml ááá ááµá á±á ášá°ášááá­áµ áá­áµ á ášááá¥á¢  
+á ášá°áááá áááá\náš -xml ááá ááµá á±á á ááá áááªá« á ášááá¥á¢  
 CDM.PluginManager.Plugin_List_XML_Parse_Failed:pluginfo.pl -listall á áá áá ášáááááœá áá­áá­ ááááµ á áá°á»ááá¢  
 CDM.PluginManager.Plugin_Suggestion_Prompt:ááážáá áááááœ á áá
@@ -365,5 +365,5 @@
 CDM.SubcollectionIndexManager.Remove_Subindex_Tooltip:ášá°á áá°áá á á«áá­ ášá­ááœá± á áµáááµ  
 CDM.SubcollectionIndexManager.Replace_Subindex:á á«áá­ á°á«  
-CDM.SubcollectionIndexManager.Replace_Subindex_Tooltip:ášá°áášá áá á á«áá­ á áµáµ  
+CDM.SubcollectionIndexManager.Replace_Subindex_Tooltip:ášá°áášá áá á á«áá­ á ááá  
 CDM.SubcollectionIndexManager.Set_Default_Subindex:áá£áª á ááá
   
@@ -387,5 +387,5 @@
 CDM.TranslationManager.Remove_Tooltip:ášá°áášá áá áµá­áá ášá­ááœá± á áµáááµ  
 CDM.TranslationManager.Replace:áµá­áá á°á«  
-CDM.TranslationManager.Replace_Tooltip:ášá°áášá áá áµá­áá á áµáµ  
+CDM.TranslationManager.Replace_Tooltip:ášá°áášá áá áµá­áá á ááá  
 CDM.TranslationManager.Translation:ášá°á°ášáá á
 áá  
@@ -434,14 +434,11 @@
 á áá­ááœ á¥ášá°á áá á ááááá á ášááá¥á¢  
 CollectionManager.Cannot_Delete_Index_Log:ááµá ášáá á©áµ á¢ááŽá­áµ áá­ááœ áá°ášá á áá»áá á°ááá
- ášááµáá£á± áá°áµ áááá¢  
+ ášááµáá£á± áá°áµ áááá¢  
 CollectionManager.Cannot_Open:ášá€\n{0-Collection file path}\ná­áážáµ  áášááµ á áá»ááá¢  
 CollectionManager.Cannot_Open_With_Reason:ášá€\n{0-Collection file path}\ná­ááœáµ áášááµ á áá»áá áá­áá«á±áá€\n{1-Error message}  
 CollectionManager.Creating_Collection:á­ááœáµ á ááá á­ áá°áµ  
-CollectionManager.Creating_Collection_Please_Wait:á­ááœáµ á ááá á­ áá°áµá£ á¥á£á­á
- á á¥á
-âŠ  
-CollectionManager.Loading_Collection:á­ááœáµ á ááá£áµ áá­  
-CollectionManager.Loading_Collection_Please_Wait:á­ááœáµ á ááá£áµ áá­á£ áµááœ á á¥á
-...  
+CollectionManager.Creating_Collection_Please_Wait:á­ááœáµ á ááá á­ áá­á£ áµááœ á³ááµâŠ  
+CollectionManager.Loading_Collection:á­ááœáµ á ááá£áµ áá°áµ áá­  
+CollectionManager.Loading_Collection_Please_Wait:á­ááœáµ á ááá£áµ áá°áµ áá­á£ áµááœ á³ááµ...  
 CollectionManager.Loading_Successful:á­ááœáµ {0} áá¥á·áá¢  
 CollectionManager.Missing_Config:á­á
@@ -475,12 +472,12 @@
 #
 #***** CreatePane *****
-CreatePane.Schedule_Progress:ášá¥áµááµ á°ášá á á
+CreatePane.Schedule_Progress:áá°áµá á á
 áµ  
-CreatePane.Schedule:á áá«á®áœ á á
+CreatePane.Schedule:á áá«á®áœá á á
 áµ  
-CreatePane.Schedule_Tooltip:ášá áá¶áá²á­  á­ááœáµ ááµášá³ ááá á áá«á®áœ  
-CreatePane.Schedule_Build:áµá­ááµ á á
+CreatePane.Schedule_Tooltip:á«áµ á°á­  á­ááœáµ ááµášá³ ááá á áá«á®áœ  
+CreatePane.Schedule_Build:áµá­ááµá á á
 áµ  
-CreatePane.Schedule_Build_Tooltip:á áá¶áá²á­  ášá­ááœáµ ááµášá³ á á
+CreatePane.Schedule_Build_Tooltip:á«áµ á°á­  ášá­ááœáµ ááµášá³ á á
 áµ  
 CreatePane.Build:ášááá£á³ á áá«á®áœ  
@@ -496,5 +493,5 @@
   
 CreatePane.Full_Build_Tooltip:á­ááœá±á á³áá á¥áá° á á²áµ áá á áá ááá£  
-CreatePane.Import:ášááµáá« á áá«á®áœ  
+CreatePane.Import:ášááµáá£áµ á áá«á®áœ  
 CreatePane.Import_Tooltip:á á­ááœáµ ááµášá³ ášáá­á ááá£ á¥á áá³á³á³ áá°á£ áá
 áµ á«á á áá«á®áœ  
@@ -519,5 +516,5 @@
 Dates.Tue:áá­á°á  
 Dates.Wed:ášá¡  
-Dates.Thu:áááµ  
+Dates.Thu:áááµ  
 Dates.Fri:á á­á¥  
 Dates.Sat:á
@@ -543,14 +540,14 @@
 DeleteCollectionPrompt.Collection_Details:ášá°áášá¡ ášá­ááœáµ áá­áá®áœ  
 DeleteCollectionPrompt.Collection_List:á«á á­ááœá¶áœ  
-DeleteCollectionPrompt.Confirm_Delete:á­ááœáµ áááµáááµ á¥á­áá á áááá á³á¥á áá­ ááá­áµ (á²á­) á áµá­áá¢  
+DeleteCollectionPrompt.Confirm_Delete:á­ááœáµ ááµáááµ á¥á­áá á áááá á³á¥á áá­ ááá­áµ á áµá­áá¢  
 DeleteCollectionPrompt.Delete:á°á­á  
 DeleteCollectionPrompt.Delete_Tooltip:ášá°áášá áá á­ááœáµ á°á­á  
 DeleteCollectionPrompt.Details:áá£áª - {0}\ná áá - {1}\nááá£\n{2}  
 DeleteCollectionPrompt.Failed_Delete:á­ááœáµ áá á áá áá°ášá á áá»ááá¢  
-DeleteCollectionPrompt.Failed_Title:ááµáááµ á áá°á³á«á!  
+DeleteCollectionPrompt.Failed_Title:áµášá á áá°á³á«á!  
 DeleteCollectionPrompt.No_Collection:ááá á­ááœáµ á áá°áášá áá¢  
 DeleteCollectionPrompt.Successful_Delete:á­ááœáµ  á°á°á­ááá¢  
-DeleteCollectionPrompt.Successful_Title:ááµáááµ á°á ááá!  
-DeleteCollectionPrompt.Title:á­ááœáµ áá°ášá  
+DeleteCollectionPrompt.Successful_Title:áµášá á°á ááá!  
+DeleteCollectionPrompt.Title:á­ááœáµ áµášá  
 DeleteCollectionPrompt.Cannot_Delete_Open_Collection_Tooltip:á­ááœáµ {0} áá°ášá á¥á­á»ááá£ áá­áá«á±á á­ááœá± á¡áá á­ááµ áá  
 #**********************
@@ -560,5 +557,5 @@
  á¥á­ááµ áá³á³á³ á á ááá áµá­ á£á áá­ááœá á¥á á ááááœ ááµá¥ áá²á«áá á­á°ááááá¢ á á°ášááª á­á
  áá³á³á³ ášá ááµ ášá°áá°á á³á³á áá­ ááááµ á á­áœááá€ áá°á« á¥á» á¥ááá¢ á áá
- áµá­ááµ áááá á 'á­áá'á á°á«áá¢  
+ áµá­ááµ áááá á 'á­áá' á°á«áá¢  
 DirectoryLevelMetadata.Title:á á áá á°ášá áá³á³á³ áµááášáá­  
 
@@ -567,9 +564,9 @@
 #***** Download *****
 DOWNLOAD.MODE.Root:Download_Root  
-DOWNLOAD.MODE.WebDownload:áá¥  
-DOWNLOAD.MODE.MediaWikiDownload:áá²á«ááª  
-DOWNLOAD.MODE.OAIDownload:áŠ.á€.á á­.  
+DOWNLOAD.MODE.WebDownload:áµá­  
+DOWNLOAD.MODE.MediaWikiDownload:MediaWiki  
+DOWNLOAD.MODE.OAIDownload:OAI  
 DOWNLOAD.MODE.ZDownload:ááµ39.50  
-DOWNLOAD.MODE.SRWDownload:á€áµá á­á°á¥áá  
+DOWNLOAD.MODE.SRWDownload:SRW  
 
 Download.ServerInformation:ášá áááá­ áášá  
@@ -665,6 +662,5 @@
 ExportAsPrompt.Failed_Title:ááá­ á°áá­á§áá¢  
 ExportAsPrompt.Instructions:á á­ááœáµ ááµá¥ á«á áá­ááœá á áá á
-á­á
- áá­á¢  
+á­áœ áá­á¢  
 ExportAsPrompt.Progress_Label:áá­ááœ á ááá­ áá­á¢ á­á
  áµááœ áá á­ááµá³á...  
@@ -673,12 +669,12 @@
 ExportAsPrompt.Successful_Title:ááá­ á°á ááá  
 ExportAsPrompt.Title:á­ááœáµ áá­  
-ExportAsPrompt.SaveAs:áá° (áááá­)  
+ExportAsPrompt.SaveAs:áá°áá
+ áá­  
 ExportAsPrompt.SaveAs_Tooltip:áááá­ ášááášáá á
-á­á
- á ááášá¥ áá°  
+á­áœ á ááášá¥ áá°  
 ExportAsPrompt.Cancel:á°á­á  
 ExportAsPrompt.Cancel_Tooltip:ášááá©á áá°áµ á°á­á  
 ExportAsPrompt.Browse:á áµáµ  
-ExportAsPrompt.Browse_Tooltip:xsl áá­á áášá¥  
+ExportAsPrompt.Browse_Tooltip:ášxsl áá­á áášá¥  
 ExportAsPrompt.ApplyXSL:á {0} XSL áá­á ášáá  
 ExportAsPrompt.ApplyXSL_Tooltip:ášá°á á°ááµá áá­ááœ ááááá¥ xsl áá­á á°á ááá¢  
@@ -700,6 +696,6 @@
 FileActions.Could_Not_Delete:{0} áá°ášá á áá»áá  
 FileActions.Cyclic_Path:{0} áá
-á³áµ á áá»ááá€ ááµášá» á ááá ášááá»á á áá á á«á ááá¢  
-FileActions.Deleting:á ááááµ áá­ {0}  
+á³áµ á áá»ááá€ ááµášá» á ááá ášááá»á á áá á á«á ááá¢  
+FileActions.Deleting:á áá°ášá áá­ {0}  
 FileActions.Directories_Selected:{0} á ááááœ á°áá­á áá  
 FileActions.Directory_Selected:1 á áá á°áá­á§á  
@@ -710,8 +706,9 @@
 FileActions.Folder_Create_Error:á ááá  {0}  ááá á­ á áá»ááá¢  
 FileActions.Folder_Does_Not_Exist:á ááá á­á«áœá ášááá£ áµá á°áá­á® áá­á á°á°á­á ááá á­áœááá¢  
-FileActions.File_Exists:{0} ááááªá«áá á ááµášá» á áá ááµá¥ á áá¢á­á°á«á?  
+FileActions.File_Exists:{0} ááááªá«áá á ááµášá» á áá ááµá¥ á áá¢á áá
+ á­á°á«?  
 FileActions.File_Move_Error_Message:{0} áá°\n{1} áááá³ááµ á áá»ááá¢  
 FileActions.File_Not_Deleted_Message:{0}\nášáá­ ášá°á áá°á áá­á áá°ášá á áá»ááá¢ \ná£á­á
- áá­á á áá áá®áá«á á ááášáá±á\ná á£á«á£ ášáá á¥áµáá áá­á­á¢  
+á áá­á á áá áá®áá«á á ááášáá±á\ná á£á«á£ ášáá á¥áµáá áá­á­á¢  
 
 FileActions.File_Selected:1 áá­á á°áá­á§á  
@@ -860,6 +857,5 @@
 á­  
 General.Review_Output:á¥á£á­á
- áá¥á á«ááá áá
-á áµ á á¢áá€  
+ áá¥á á«ááá áá€áµ á á¢áá€  
 General.Redo:á³áá á áµá­á  
 General.Redo_Tooltip:ášáášášá»áá á
@@ -981,5 +977,5 @@
 LockFileDialog.Lockfile_Message_One:ášá°ááá áá­á ááá­ á­ááœá± ááµá á¥áá°á°ášáá° ášá áááá¢  
 LockFileDialog.Lockfile_Message_Two:ášá°ááá áá­áá 'á áµá­ááµ' ááá£á á­ áµá»áá
-?  
+á?  
 LockFileDialog.Machine:ášáµ  
 LockFileDialog.Name:áµá  
@@ -1041,5 +1037,5 @@
 #
 #***** Metadata *****
-Metadata.Element:ááá­  
+Metadata.Element:á á£á  
 Metadata.Value:áá  
 MetadataSet.Files:ášáá³á³á³ áµá¥áµá  áá­ááœ  
@@ -1417,5 +1413,5 @@
 Tree.Home:ááá» á áá  ({0})  
 Tree.Root:á á«á£á¢á«á ášáá­ááŠá³  
-Tree.World:á°áá¶áœ á ááªááµá¶á á­ááœá¶áœ ááµá   
+Tree.World:á°áá¶áœ á ááªááµá¶á á­ááœá¶áœ ááµá¥  
 #***********************
 #
@@ -1429,5 +1425,5 @@
 #
 #****** WGet *****
-WGet.Prompt:á°á¥ááááµ á ááá£á«á á°áááá­  
+WGet.Prompt:WGet Mirroring Client  
 #
 #****** Workflows *****
@@ -1455,11 +1451,16 @@
  á¥á­áá á áá
 ?  
-GEMS.Confirm_Removal_Title:ááµáááµá á ášááá¥  
+GEMS.Confirm_Removal_Title:ááµáááµá
+á á ášááá¥  
 GEMS.Attribute:á£á
 áª	  
-GEMS.Popup.AddElement:ááá­ ášáá­  
-GEMS.Popup.DeleteElement:ááá­ á°á­á  
-GEMS.Popup.AddSubElement:áááš-áááµ ášáá­  
-GEMS.Popup.DeleteSubElement:áááš-áááµ á°á­á  
+GEMS.Popup.AddElement:á£á
+áª ášáá­  
+GEMS.Popup.DeleteElement:á£á
+áª á°á­á  
+GEMS.Popup.AddSubElement:á£á
+áª-áááµ ášáá­  
+GEMS.Popup.DeleteSubElement:á£á
+áª-áááµ á°á­á  
 GEMS.NewMetadataSetPrompt.Title:á á²áµ áá³á³á³ áµá¥áµá¥  
 GEMS.NewMetadataSetPrompt.Instructions:á á²áµ áá³á³á³ áµá áµá¥ áááá á­ ášáášá°ááµá ááµá®áœ ááá€  
@@ -1501,5 +1502,5 @@
 GEMS.Confirm_Save:á­á
  áá³á³á³ áµá¥áµá¥ á°áá­á¯áá£ ááµááá¥ áµááááá
-?  
+á?  
 GEMS.Confirm_Save_Title:áá³á³á³ á áµááá¥  
 GEMS.Confirm_DeleteElement:á­á
@@ -1507,5 +1508,6 @@
  á¥á­áá á áá
 ?  
-GEMS.Confirm_DeleteElement_Title:ááá­ á°á­á  
+GEMS.Confirm_DeleteElement_Title:á£á
+áª á°á­á  
 GEMS.File_Deletion_Error_Message:á­á
  áá­á áá°ášá á á­áœáá  
@@ -1514,5 +1516,5 @@
 GEMS.Namespace_Conflict_Message:ááµá áááá«á€ á­á
  áµá«á á áá áá³á³á³ áµá¥áµá¥ á°á­ááá¢áµáá¥ááá
-?  
+á?  
 GEMS.Namespace_Conflict:ášáµá«á áá­áµ  
 GEMS.Move_Up:áá°áá­  
@@ -1524,11 +1526,16 @@
 GEMS.AttributeTable.Language:ááá  
 GEMS.AttributeTable.Value:áá  
-GEMS.NewMetadataElementNamePrompt.Title:á á²áµ ááá­  
-GEMS.NewMetadataElementNamePrompt.Name:ášá á²á±á ááá­ áµá«á á á°áá£  
-GEMS.NewMetadataElementNamePrompt.SubTitle:á á²áµ áááš-áááµ  
+GEMS.NewMetadataElementNamePrompt.Title:á á²áµ á£á
+áª  
+GEMS.NewMetadataElementNamePrompt.Name:ášá á²á±á á£á
+áª áµá«á á á°áá£  
+GEMS.NewMetadataElementNamePrompt.SubTitle:á á²áµ á£á
+áª-áááµ  
 GEMS.NewMetadataElementNamePrompt.SubName:ášá á²á±á áááš-áááµ áµá«á á á°áá£  
 GEMS.NewMetadataElementNamePrompt.Name_Error_Message:ášáá
- ááá­ áµá«á á°á­ááá¢  
-GEMS.NewMetadataElementNamePrompt.Name_Error:ášááá­ áµá«á áµá
+ á£á
+áª áµá«á á°á­ááá¢  
+GEMS.NewMetadataElementNamePrompt.Name_Error:ášá£á
+áª áµá«á áµá
 á°áµ  
 GEMS.NewMetadataElementNamePrompt.EmptyName_Error_Message:á á²áµ ááá­ ášááµ áµá«á á«áµáááááá¢  
@@ -1536,3 +1543,3 @@
 
 GEMS.No_Set_Loaded:ááá áá³á³á³ áµá¥áµá¥ á ááá£áá¢ á¥á£á­á
- á á²áµ áµá¥áµá¥ áááá á­ áá­á-->á á²áµ á°á ááá¢   
+á á á²áµ áµá¥áµá¥ áááá á­ áá­á-->á á²áµ á°á ááá¢   