Index: main/trunk/greenstone2/perllib/plugins/ArchivesInfPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/ArchivesInfPlugin.pm	(revision 23557)
+++ main/trunk/greenstone2/perllib/plugins/ArchivesInfPlugin.pm	(revision 23561)
@@ -202,5 +202,5 @@
 	my ($filename_full_path, $filename_no_path) 
 	    = &util::get_full_filenames($base_dir, $file);
-	$self->block_filename($block_hash,$filename_full_path);
+	&util::block_filename($block_hash,$filename_full_path);
 	return 1;
     }
Index: main/trunk/greenstone2/perllib/plugins/BasePlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/BasePlugin.pm	(revision 23557)
+++ main/trunk/greenstone2/perllib/plugins/BasePlugin.pm	(revision 23561)
@@ -382,27 +382,4 @@
 }
 
-sub block_filename
-{
-    my $self = shift(@_);
-    my ($block_hash,$filename) = @_;
-    
-    if ($ENV{'GSDLOS'} =~ m/^windows$/) {
-	
-	# lower case the entire thing, eg for cover.jpg when its actually cover.JPG
-	my $lower_filename = lc($filename);
-	$block_hash->{'file_blocks'}->{$lower_filename} = 1;
-#	my $lower_drive = $filename;
-#	$lower_drive =~ s/^([A-Z]):/\l$1:/i;
-	
-#	my $upper_drive = $filename;
-#	$upper_drive =~ s/^([A-Z]):/\u$1:/i;
-#	
-#	$block_hash->{'file_blocks'}->{$lower_drive} = 1;
-#	$block_hash->{'file_blocks'}->{$upper_drive} = 1;		
-    }
-    else {
-	$block_hash->{'file_blocks'}->{$filename} = 1;
-    }
-}
 
 # rename imported files and assoc files using URL encoding by default
@@ -441,5 +418,5 @@
 
     if ($self->{'block_exp'} ne "" && $filename_full_path =~ /$self->{'block_exp'}/) {
-	$self->block_filename($block_hash,$filename_full_path);
+	&util::block_filename($block_hash,$filename_full_path);
     }
 
@@ -461,5 +438,5 @@
 	} 	
 	if (&util::fd_exists($coverfile)) {
-	    $self->block_filename($block_hash,$coverfile);
+	    &util::block_filename($block_hash,$coverfile);
 	} 
     }
Index: main/trunk/greenstone2/perllib/plugins/DSpacePlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/DSpacePlugin.pm	(revision 23557)
+++ main/trunk/greenstone2/perllib/plugins/DSpacePlugin.pm	(revision 23561)
@@ -149,5 +149,5 @@
 
     if (&util::fd_exists($handle_filename)) {
-	$self->block_filename($block_hash,$handle_filename);
+	&util::block_filename($block_hash,$handle_filename);
     }
 }
Index: main/trunk/greenstone2/perllib/plugins/DirectoryPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/DirectoryPlugin.pm	(revision 23557)
+++ main/trunk/greenstone2/perllib/plugins/DirectoryPlugin.pm	(revision 23561)
@@ -235,5 +235,5 @@
 	    foreach my $e (keys %$exts) {
 		# block the file
-		$self->block_filename($block_hash,"$prefix$e");
+		&util::block_filename($block_hash,"$prefix$e");
 		# set up as an associatd file
 		print STDERR "  $self->{'plugin_type'}: Associating $prefix$e with $tie_to version\n";
Index: main/trunk/greenstone2/perllib/plugins/GreenstoneXMLPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/GreenstoneXMLPlugin.pm	(revision 23557)
+++ main/trunk/greenstone2/perllib/plugins/GreenstoneXMLPlugin.pm	(revision 23561)
@@ -123,5 +123,5 @@
 		}
 
-		$self->block_filename($block_hash,$full_gsdl_assoc_filename);		
+		&util::block_filename($block_hash,$full_gsdl_assoc_filename);		
 	    }
 	}
Index: main/trunk/greenstone2/perllib/plugins/HTMLPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/HTMLPlugin.pm	(revision 23557)
+++ main/trunk/greenstone2/perllib/plugins/HTMLPlugin.pm	(revision 23561)
@@ -180,5 +180,4 @@
 
     my $html_fname = $filename_full_path;
-    my @file_blocks;
     
     my ($language, $content_encoding) = $self->textcat_get_language_encoding ($filename_full_path);
@@ -281,10 +280,10 @@
 
 	    # Allow for possibility of raw byte version and Unicode versions of file
-	    $self->block_filename($block_hash,$unicode_url_original_filename);
+	    &util::block_filename($block_hash,$unicode_url_original_filename);
 	}
 
 	# $url_original_filename = &util::upgrade_if_dos_filename($url_original_filename);
 	
-	$self->block_filename($block_hash,$url_original_filename);
+	&util::block_filename($block_hash,$url_original_filename);
 		
     }
Index: main/trunk/greenstone2/perllib/plugins/ISISPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/ISISPlugin.pm	(revision 23557)
+++ main/trunk/greenstone2/perllib/plugins/ISISPlugin.pm	(revision 23561)
@@ -136,10 +136,10 @@
 	print STDERR "$self->{'fdt_file_path'}\n";
 	my $fdt_file = $self->{'fdt_file_path'};
-	$self->block_filename($block_hash,$fdt_file);
+	&util::block_filename($block_hash,$fdt_file);
     }
     if (-e $self->{'xrf_file_path'}) {
 	print STDERR "$self->{'xrf_file_path'}\n";
 	my $xrf_file = $self->{'xrf_file_path'};
-	$self->block_filename($block_hash,$xrf_file);
+	&util::block_filename($block_hash,$xrf_file);
     }
     
Index: main/trunk/greenstone2/perllib/plugins/MetadataCSVPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/MetadataCSVPlugin.pm	(revision 23557)
+++ main/trunk/greenstone2/perllib/plugins/MetadataCSVPlugin.pm	(revision 23561)
@@ -113,5 +113,5 @@
 
     # add the file to the block list so that it won't be processed in read, as we will do all we can with it here
-    $self->block_filename($block_hash,$filename);
+    &util::block_filename($block_hash,$filename);
 
     # Read the CSV file to get the metadata
Index: main/trunk/greenstone2/perllib/plugins/MetadataXMLPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/MetadataXMLPlugin.pm	(revision 23557)
+++ main/trunk/greenstone2/perllib/plugins/MetadataXMLPlugin.pm	(revision 23561)
@@ -254,5 +254,5 @@
     print $outhandle "MetadataXMLPlugin: processing $file\n" if ($self->{'verbosity'})> 1;
     # add the file to the block list so that it won't be processed in read, as we will do all we can with it here
-    $self->block_filename($block_hash,$filename);
+    &util::block_filename($block_hash,$filename);
 
     $self->{'metadataref'} = $extrametadata;
Index: main/trunk/greenstone2/perllib/plugins/PagedImagePlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/PagedImagePlugin.pm	(revision 23557)
+++ main/trunk/greenstone2/perllib/plugins/PagedImagePlugin.pm	(revision 23561)
@@ -576,8 +576,8 @@
 
 	if ($line =~ /imgfile=\"([^\"]+)\"/) {
-	    $self->block_filename($block_hash,$dir.$1);
+	    &util::block_filename($block_hash,$dir.$1);
 	}
 	if ($line =~ /txtfile=\"([^\"]+)\"/) {
-	    $self->block_filename($block_hash,$dir.$1);
+	    &util::block_filename($block_hash,$dir.$1);
 	}
     }
@@ -605,9 +605,9 @@
 	# find the image file if there is one
 	if (defined $imgname && $imgname ne "") {
-	    $self->block_filename($block_hash, &util::filename_cat( $dir,$imgname));
+	    &util::block_filename($block_hash, &util::filename_cat( $dir,$imgname));
 	}
 	# find the text file if there is one
 	if (defined $txtname && $txtname ne "") {
-	    $self->block_filename($block_hash, &util::filename_cat($dir,$txtname));
+	    &util::block_filename($block_hash, &util::filename_cat($dir,$txtname));
 	}
     }
Index: main/trunk/greenstone2/perllib/util.pm
===================================================================
--- main/trunk/greenstone2/perllib/util.pm	(revision 23557)
+++ main/trunk/greenstone2/perllib/util.pm	(revision 23561)
@@ -1140,4 +1140,27 @@
 }
 
+sub block_filename
+{
+    my ($block_hash,$filename) = @_;
+    
+    if ($ENV{'GSDLOS'} =~ m/^windows$/) {
+	
+	# lower case the entire thing, eg for cover.jpg when its actually cover.JPG
+	my $lower_filename = lc($filename);
+	$block_hash->{'file_blocks'}->{$lower_filename} = 1;
+#	my $lower_drive = $filename;
+#	$lower_drive =~ s/^([A-Z]):/\l$1:/i;
+	
+#	my $upper_drive = $filename;
+#	$upper_drive =~ s/^([A-Z]):/\u$1:/i;
+#	
+#	$block_hash->{'file_blocks'}->{$lower_drive} = 1;
+#	$block_hash->{'file_blocks'}->{$upper_drive} = 1;		
+    }
+    else {
+	$block_hash->{'file_blocks'}->{$filename} = 1;
+    }
+}
+
 
 sub filename_is_absolute