Index: main/trunk/greenstone2/macros/amharic.dm
===================================================================
--- main/trunk/greenstone2/macros/amharic.dm	(revision 23570)
+++ main/trunk/greenstone2/macros/amharic.dm	(revision 23571)
@@ -83,4 +83,7 @@
 _textdescrhelp_ [l=am] {ášá¥áá ááœ}  
 _textdescrpref_ [l=am] {ášáá­á« ááœ}  
+_textdescrlogin_ [l=am] {ášááá¢á« ááœ}  
+_textdescrlogout_ [l=am] {á¥áá° _cgiargun_ áá£}  
+
 _textdescrgreenstone_ [l=am] {ááªááµá¶á á²áá³á áá­á¥ášáª á¶ááµáá­}  
 _textdescrusab_ [l=am] {ááá áá á«áµážáášá
@@ -232,4 +235,7 @@
 _linktextHELP_ [l=am] {á¥áá}  
 _linktextPREFERENCES_ [l=am] {áá­á«ááœ}  
+_linktextLOGIN_ [l=am] {áá£}  
+_linktextLOGGEDIN_ [l=am] {(ášáá£ážá á¥áá° _cgiargun_ áá)}  
+_linktextLOGOUT_ [l=am] {áá£}  
 
 
Index: main/trunk/greenstone2/macros/amharic2.dm
===================================================================
--- main/trunk/greenstone2/macros/amharic2.dm	(revision 23570)
+++ main/trunk/greenstone2/macros/amharic2.dm	(revision 23571)
@@ -577,5 +577,5 @@
 
 _textplatformtitle_ [l=am] {áááµáá­á}  
-_textgreenstone3_ [l=am] {ááªáá°á¶á á  ááá¶ááµá£ á©áá­áµ á¥á áá­ áŠá€áµ á€á­áµ áá­ á­á°á«áá¢ ááªááµá¶á á ááá ášááá¶ááµ áá­á«á£á©áá­áµ á¥á áá­ áŠá€áµ á€á­áµ áá­ áá²á«á ááá áá á¥áá²á«áµáœá ášá°ááá á£á­ááª áµá­á­áµ á ááá¢áµá­á­á± ášá°áá áááš áá°áá­ á²á«á­áµáµá£ áááš áá°áá©á á áá­á­á®á¶ááµ á²++ áá­á áá²á² áá°áá³áµ á­á»ááá¢ ááªááµá¶á á áá ášááááµ ášá ááŒ áá¥á°á­ášá­ á¥á áá­á áá­ á á¥á® á­á°á«áá¢   ášá°á áá á á­ááá ášáµá­ áá­á ášáá¥ áááá«á€ ááµáµá¬á ááªáá°á­ áá­á á¢áá°á­ááµ á€á­áµááášá­ áá áá á­áœááá¢ }  
+_textgreenstone3_ [l=am] {ááªáá°á¶á á ááá¶ááµá£ á©áá­áµ á¥á áá­ áŠá€áµ á€á­áµ áá­ á­á°á«áá¢ ááªááµá¶á á ááá ášááá¶ááµ áµáªáµá£á©áá­áµ á¥á áá­ áŠá€áµ á€á­áµ áá­ áá²á«á ááá áá á¥áá²á«áµáœá ášá°ááá á£á­ááª áµá­á­áµ á ááá¢áµá­á­á± ášá°áá áááš áá°áá­ á²á«á­áµáµá£ áááš áá°áá©á á áá­á­á®á¶ááµ á²++ áá­á áá²á² áá°áá³áµ á­á»ááá¢ ááªááµá¶á á áá ášááááµ ášá ááŒ ášáµá­ á áááá­ á¥á áá­á áá­ á á°á«á«á¥ááµ á­á°á«áá¢   ášá°áááá­ á á­ááá ášáµá­ áááá«á€ááá áášášáá­áµ  áá­á á¢áá°á­ááµ á€á­áµááášá­ áá áá á­áœááá¢ }  
 
 _textgreenstone4_ [l=am] {á á­á«á³ ášá°ááµ á­ááœá¶áœ á  á°áá£á¢-á²á² ááá ášááªááµá¶á á¶áá°áá­á á áá áá á­á°á«á«áá¢ ááá³áá£ áš <i>áá©ááá² á°ášáááááµ áá­á¥ášáª</i> áš 1,230 á
@@ -613,14 +613,13 @@
  áááááá á¥áá
 ááµ áá°áá
- <a href="mailto:greenstone@cs.waikato.ac.nz">greenstone@cs.waikato.ac.nz</a> áªáá­áµ á áµá­áá¢}  
+ <a href="https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users">ášáá­á­áµ ááµášá­</a>.áªáá­áµ á áµá­áá¢}  
 
 _textgs3title_ [l=am] {á ááµá  áµá«ááœ}  
-_textgs3_ [l=am] {ááªááµá¶á 3 áá á áá á¥áá°áá  ášá°áá°áá ášá°á°áá áš á²áá ášááªááµá¶á 2á (ášá ááá)  áááá á¥á
+_textgs3_ [l=am] {ááªááµá¶á 3 áá á áá á³áá  ášá°áá°áá ášá°á°áá áš á²áá ášááªááµá¶á 2á (ášá ááá)  áááá á¥á
 ááœ ášá«á áá - ááá³áá£ áá³á á¥á ááá£ á£á á¥á áááµáá­áá£ á á£á ášáááá­ ááá¢ ááªááµá¶á 3 ášá ááá á²á°á°á áááá á£á
-áªá«áµ á²á«á«áµáµá£áá°áá á°á³áá ááá€ áááµáá£ ááá ááá¥ á³á­á°ášá á áá á«áá áá­á ášá°áá ášá á­ááœá¶áœ áááá£áµá ááá³áµ á­á»ááá¢ ááªááµá¶á á áá« ááá ášá°áá á²ááá£ ášá°ááášá á¥áá° á áµá áášá¥ áá ášáá á á€á­áµá€áá€á ááá«áµ ášááœá ááááœ  ááá€ áµááá
+áªá«áµ á²á«á«áµáµá£ áá°áá á°á³áá ááá€ áááµáá£ ááá ááá¥ á³á­á°ášá á áá á«áá áá­á ášá°áá ášá á­ááœá¶áœ áááá£áµá ááá³áµ á­á»ááá¢ ááªááµá¶á á áá« ááá ášá°áá á²ááá£ ášá°ááášá á¥áá° á áµá áášá¥ áá ášáá á á€á­áµá€áá€á ááá£á£áµ ášááœá ááááœ  ááá€ áµááá
  á á²áµáµáªá¢ááµáµ ááœá ášáá°á«á á¥áá°á áµááááá± á á°áá«á© á áááá®áœ áá­ áá°á«á­ ášááœá ááá¢ á­á
  áááá­ ááµá ášááªááµá¶áá ášáá°áá ášáá³áá/ášáá°á á£á á á á
-áá á­ášáášááá¢ ášááªááµá¶á 3 áááá£á ášáášá« áµá­á­á± áš <a href="http://www.greenstone.org/greenstone3.html">ášááªááµá¶á 3 ááá» áá
-</a> áá­ ááášáµ á­á»ááá¢}  
+áá á­ášáášááá¢ ášááªááµá¶á 3 áááá£á ášáášá« áµá­á­á± áš <a href="http://www.greenstone.org/greenstone3-home">ášááªááµá¶á 3 ááá» ááœ</a> áá­ ááášáµ á­á»ááá¢}  
 
 _textcreditstitle_ [l=am] {áá}  