Index: /main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml
===================================================================
--- /main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml	(revision 23582)
+++ /main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml	(revision 23583)
@@ -70,4 +70,5 @@
 					<arg value="source devel.bash"/>
 				</exec>
+				
 				<echo>DONE EXTRACTING GNOME LIB EXTENSION</echo>
 			</if>
@@ -169,10 +170,10 @@
 			<exec dir="${basedir}/compiled" executable="${basedir}/compiled/configure" failonerror="true">
 				<arg line="--enable-apache-httpd"/>
-				<arg line="PATH=&quot;${basedir}/compiled/ext/gnome-lib/linux/bin:${env.PATH}&quot;"/>
-				<arg line="CFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib/linux/include&quot;"/>
-				<arg line="CPPFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib/linux/include&quot;"/>
-				<arg line="CXXFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib/linux/include&quot;"/>
-				<arg line="LDFLAGS=&quot;-static -L${basedir}/compiled/ext/gnome-lib/linux/lib&quot;"/>
-				<arg line="PKG_CONFIG_PATH=&quot;${basedir}/compiled/ext/gnome-lib/linux/lib/pkgconfig&quot;"/>
+				<arg line="PATH=&quot;${basedir}/compiled/ext/gnome-lib-minimal/linux/bin:${env.PATH}&quot;"/>
+				<arg line="CFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib-minimal/linux/include&quot;"/>
+				<arg line="CPPFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib-minimal/linux/include&quot;"/>
+				<arg line="CXXFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib-minimal/linux/include&quot;"/>
+				<arg line="LDFLAGS=&quot;-static -L${basedir}/compiled/ext/gnome-lib-minimal/linux/lib&quot;"/>
+				<arg line="PKG_CONFIG_PATH=&quot;${basedir}/compiled/ext/gnome-lib-minimal/linux/lib/pkgconfig&quot;"/>
 			</exec>
 
@@ -187,9 +188,9 @@
 			<exec dir="${basedir}/compiled" executable="${basedir}/compiled/configure" failonerror="true">
 				<arg line="--enable-apache-httpd"/>
-				<arg line="PATH=&quot;${basedir}/compiled/ext/gnome-lib/darwin/bin:${env.PATH}&quot;"/>
-				<arg line="CFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib/darwin/include&quot;"/>
-				<arg line="CPPFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib/darwin/include&quot;"/>
-				<arg line="CXXFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib/darwin/include&quot;"/>
-				<arg line="LDFLAGS=&quot;-L${basedir}/compiled/ext/gnome-lib/darwin/lib&quot;"/>
+				<arg line="PATH=&quot;${basedir}/compiled/ext/gnome-lib-minimal/darwin/bin:${env.PATH}&quot;"/>
+				<arg line="CFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib-minimal/darwin/include&quot;"/>
+				<arg line="CPPFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib-minimal/darwin/include&quot;"/>
+				<arg line="CXXFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib-minimal/darwin/include&quot;"/>
+				<arg line="LDFLAGS=&quot;-L${basedir}/compiled/ext/gnome-lib-minimal/darwin/lib&quot;"/>
 			</exec>
 
@@ -212,5 +213,5 @@
 			<!-- make -->
 			<exec dir="${basedir}/compiled" executable="make" failonerror="true">
-				<arg line="${libpathvar}=&quot;${basedir}/compiled/ext/gnome-lib/linux/lib&quot;"/>
+				<arg line="${libpathvar}=&quot;${basedir}/compiled/ext/gnome-lib-minimal/linux/lib&quot;"/>
 			</exec>
 
@@ -229,19 +230,19 @@
 		<!-- Delete the entire gnome support library on Linux -->
 		<if><bool><equals arg1="${rk.os}" arg2="linux"/></bool>
-			<delete dir="${basedir}/compiled/ext/gnome-lib"/>
-			<delete dir="${basedir}/compiled/ext/gnome-lib-linux.tar.gz"/>
+			<delete dir="${basedir}/compiled/ext/gnome-lib-minimal"/>
+			<delete dir="${basedir}/compiled/ext/gnome-lib-minimal-linux.tar.gz"/>
 		</if>
 
 		<!-- Delete all but the lib folder and the setup.bash script of the gnome support library on Mac -->
 		<if><bool><equals arg1="${rk.os}" arg2="mac"/></bool>
-			<delete dir="${basedir}/compiled/ext/gnome-lib/cascade-make"/>
-			<delete dir="${basedir}/compiled/ext/gnome-lib/packages"/>
-			<delete dir="${basedir}/compiled/ext/gnome-lib/darwin/bin"/>
-			<delete dir="${basedir}/compiled/ext/gnome-lib/darwin/etc"/>
-			<delete dir="${basedir}/compiled/ext/gnome-lib/darwin/include"/>
-			<delete dir="${basedir}/compiled/ext/gnome-lib/darwin/share"/>
-			<delete file="${basedir}/compiled/ext/gnome-lib/setup.bat"/>
-			<delete file="${basedir}/compiled/ext/gnome-lib/CASCADE-MAKE.sh"/>
-			<delete file="${basedir}/compiled/ext/gnome-lib-darwin.tar.gz"/>
+			<delete dir="${basedir}/compiled/ext/gnome-lib-minimal/cascade-make"/>
+			<delete dir="${basedir}/compiled/ext/gnome-lib-minimal/packages"/>
+			<delete dir="${basedir}/compiled/ext/gnome-lib-minimal/darwin/bin"/>
+			<delete dir="${basedir}/compiled/ext/gnome-lib-minimal/darwin/etc"/>
+			<delete dir="${basedir}/compiled/ext/gnome-lib-minimal/darwin/include"/>
+			<delete dir="${basedir}/compiled/ext/gnome-lib-minimal/darwin/share"/>
+			<delete file="${basedir}/compiled/ext/gnome-lib-minimal/setup.bat"/>
+			<delete file="${basedir}/compiled/ext/gnome-lib-minimal/CASCADE-MAKE.sh"/>
+			<delete file="${basedir}/compiled/ext/gnome-lib-minimal-darwin.tar.gz"/>
 		</if>
 		
@@ -382,10 +383,24 @@
 			      <equals arg1="${post.2.83.version}" arg2="true"/>
 			</or></bool>
-				<exec executable="svn">
-					<arg value="export"/>
-					<arg value="${svn.root}/main/${branch.path}/binaries/linux/imagemagick"/>
-					<arg value="compiled/bin/linux/imagemagick"/>
-				</exec>
-
+			        <if><bool><equals arg1="${x64}" arg2="true"/></bool>
+					<exec executable="svn">
+					        <arg value="export"/>
+					        <arg value="${svn.root}/gs2-extensions/imagemagick/trunk/imagemagick-linux-x64.tar.gz"/>
+					        <arg value="compiled/ext/imagemagick-linux-x64.tar.gz"/>
+				        </exec>
+
+					<exec executable="tar" dir="compiled/ext">
+					        <arg value="xvzf"/>
+						<arg value="imagemagick-linux-x64.tar.gz"/>
+					</exec>
+					<delete file="compiled/bin/linux/imagemagick-linux-x64.tar.gz"/>
+				<else>
+				        <exec executable="svn">
+					        <arg value="export"/>
+						<arg value="${svn.root}/main/${branch.path}/binaries/linux/imagemagick"/>
+						<arg value="compiled/bin/linux/imagemagick"/>
+					</exec>
+				</else>
+				</if>
 				<else>
 					<delete dir="compiled/bin/linux/wv"/>	
Index: /main/trunk/release-kits/kits/rk2/ant-scripts/components.xml
===================================================================
--- /main/trunk/release-kits/kits/rk2/ant-scripts/components.xml	(revision 23582)
+++ /main/trunk/release-kits/kits/rk2/ant-scripts/components.xml	(revision 23583)
@@ -23,5 +23,11 @@
     <include name="win32cfg.h"/>
   </patternset>
-  
+
+  <!-- imagemagick x64 -->
+  <patternset id="greenstone2.imagemagick-x64.component">
+    <include name="ext/imagemagick"/>
+    <include name="ext/imagemagick/**/*"/>
+ </patternset>  
+
   <!-- imagemagick -->
   <patternset id="greenstone2.imagemagick.component">
@@ -51,4 +57,14 @@
     </invert>
   </patternset>
+
+  <!-- the core component - defined by antithesis (64-bit version) -->
+  <patternset id="greenstone2.core-x64.component">
+    <invert>
+      <patternset refid="greenstone2.source.component"/>
+      <patternset refid="greenstone2.imagemagick-x64.component"/>
+      <patternset refid="greenstone2.ghostscript.component"/>
+      <patternset refid="greenstone2.apachehttpd.component"/>
+    </invert>
+  </patternset>
   
 </project>
Index: /main/trunk/release-kits/kits/rk2/ant-scripts/create-components.xml
===================================================================
--- /main/trunk/release-kits/kits/rk2/ant-scripts/create-components.xml	(revision 23582)
+++ /main/trunk/release-kits/kits/rk2/ant-scripts/create-components.xml	(revision 23583)
@@ -5,5 +5,5 @@
 
 		<!-- imagemagick -->
-		<antcall target="create-component"><param name="component" value="imagemagick"/></antcall>
+		<antcall target="create-component"><param name="component" value="imagemagick${extension-x64}"/></antcall>
 
 		<!-- apache httpd -->
@@ -17,5 +17,5 @@
 		
 		<!-- core  -->
-		<antcall target="create-component"><param name="component" value="core"/></antcall>
+		<antcall target="create-component"><param name="component" value="core${extension-x64}"/></antcall>
 
 	</target>