Index: main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml
===================================================================
--- main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml	(revision 23593)
+++ main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml	(revision 23609)
@@ -74,4 +74,25 @@
 			</if>
 		</if>
+
+		<if><bool><or><equals arg1="${rk.os}" arg2="linux"/><equals arg1="${rk.os}" arg2="mac"/></or></bool>
+			<!-- LD_LIBRARY_PATH is DYLD_LIBRARY_PATH on mac-->
+			<if><bool><equals arg1="${rk.os}" arg2="mac"/></bool>
+				<property name="libpathvar" value="DYLD_LIBRARY_PATH"/>
+			<else>
+				<property name="libpathvar" value="LD_LIBRARY_PATH"/>
+			</else>
+			</if>
+
+			<property name="gnome.lib.dir" value="${basedir}/compiled/ext/gnome-lib-minimal/${os.shell}"/>
+			<property name="path.arg" value="PATH=&quot;${gnome.lib.dir}/bin:${env.PATH}&quot;"/>
+			<property name="cflags.arg" value="CFLAGS=&quot;-I${gnome.lib.dir}/include&quot;"/>
+			<property name="cxxflags.arg" value="CXXFLAGS=&quot;-I${gnome.lib.dir}/include&quot;"/>
+			<property name="cppflags.arg" value="CPPFLAGS=&quot;-I${gnome.lib.dir}/include&quot;"/>
+			<property name="ldflags.arg" value="LDFLAGS=&quot;-L${gnome.lib.dir}/lib&quot;"/>
+			<property name="pcpath.arg" value="PKG_CONFIG_PATH=&quot;${gnome.lib.dir}/lib/pkgconfig&quot;"/>
+			<property name="ldlpath.arg" value="${libpathvar}=&quot;${gnome.lib.dir}/lib&quot;"/>
+
+			<property name="allargs" value="${path.arg} ${cflags.arg} ${cxxflags.arg} ${cppflags.arg} ${ldflags.arg} ${pcpath.arg} ${ldlpath.arg}"/>
+		</if>	
 		
 		<!-- windows only -->
@@ -170,11 +191,5 @@
 			<exec dir="${basedir}/compiled" executable="${basedir}/compiled/configure" failonerror="true">
 				<arg line="--enable-apache-httpd"/>
-				<arg line="PATH=&quot;${basedir}/compiled/ext/gnome-lib-minimal/linux/bin:${env.PATH}&quot;"/>
-				<arg line="CFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib-minimal/linux/include&quot;"/>
-				<arg line="CPPFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib-minimal/linux/include&quot;"/>
-				<arg line="CXXFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib-minimal/linux/include&quot;"/>
-				<arg line="LDFLAGS=&quot;-static -L${basedir}/compiled/ext/gnome-lib-minimal/linux/lib&quot;"/>
-				<arg line="PKG_CONFIG_PATH=&quot;${basedir}/compiled/ext/gnome-lib-minimal/linux/lib/pkgconfig&quot;"/>
-				<arg line="LD_LIBRARY_PATH=&quot;${basedir}/compiled/ext/gnome-lib-minimal/linux/lib&quot;"/>
+				<arg line="${allargs}"/>
 			</exec>
 
@@ -189,11 +204,5 @@
 			<exec dir="${basedir}/compiled" executable="${basedir}/compiled/configure" failonerror="true">
 				<arg line="--enable-apache-httpd"/>
-				<arg line="PATH=&quot;${basedir}/compiled/ext/gnome-lib-minimal/darwin/bin:${env.PATH}&quot;"/>
-				<arg line="CFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib-minimal/darwin/include&quot;"/>
-				<arg line="CPPFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib-minimal/darwin/include&quot;"/>
-				<arg line="CXXFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib-minimal/darwin/include&quot;"/>
-				<arg line="LDFLAGS=&quot;-L${basedir}/compiled/ext/gnome-lib-minimal/darwin/lib&quot;"/>
-				<arg line="PKG_CONFIG_PATH=&quot;${basedir}/compiled/ext/gnome-lib-minimal/darwin/lib/pkgconfig&quot;"/>
-				<arg line="DYLD_LIBRARY_PATH=&quot;${basedir}/compiled/ext/gnome-lib-minimal/darwin/lib&quot;"/>
+				<arg line="${allargs}"/>
 			</exec>
 
@@ -206,15 +215,7 @@
 		<!-- mac and linux: compile -->
 		<if><bool><or><equals arg1="${rk.os}" arg2="mac"/><equals arg1="${rk.os}" arg2="linux"/></or></bool>
-			<!-- LD_LIBRARY_PATH is DYLD_LIBRARY_PATH on mac-->
-			<if><bool><equals arg1="${rk.os}" arg2="mac"/></bool>
-				<property name="libpathvar" value="DYLD_LIBRARY_PATH"/>
-			<else>
-				<property name="libpathvar" value="LD_LIBRARY_PATH"/>
-			</else>
-			</if>
-
 			<!-- make -->
 			<exec dir="${basedir}/compiled" executable="make" failonerror="true">
-				<arg line="${libpathvar}=&quot;${basedir}/compiled/ext/gnome-lib-minimal/${os.shell}/lib&quot;"/>
+				<arg line="${ldlpath.arg}"/>
 			</exec>
 
Index: main/trunk/release-kits/kits/rk2/ant-scripts/components.xml
===================================================================
--- main/trunk/release-kits/kits/rk2/ant-scripts/components.xml	(revision 23593)
+++ main/trunk/release-kits/kits/rk2/ant-scripts/components.xml	(revision 23609)
@@ -57,4 +57,14 @@
     </invert>
   </patternset>
+
+  <!-- the core component - defined by antithesis -->
+  <patternset id="greenstone2.core-x64.component">
+    <invert>
+      <patternset refid="greenstone2.source.component"/>
+      <patternset refid="greenstone2.imagemagick-x64.component"/>
+      <patternset refid="greenstone2.ghostscript.component"/>
+      <patternset refid="greenstone2.apachehttpd.component"/>
+    </invert>
+  </patternset>
 </project>
 
Index: main/trunk/release-kits/kits/rk2/ant-scripts/create-components.xml
===================================================================
--- main/trunk/release-kits/kits/rk2/ant-scripts/create-components.xml	(revision 23593)
+++ main/trunk/release-kits/kits/rk2/ant-scripts/create-components.xml	(revision 23609)
@@ -7,5 +7,5 @@
 		<antcall target="create-component">
 			<param name="component" value="imagemagick"/>
-			<param name="ext-x64" value="-x64"/>
+			<param name="ext-x64" value="${extension-x64}"/>
 		</antcall>
 
@@ -28,5 +28,5 @@
 		<antcall target="create-component">
 			<param name="component" value="core"/>
-			<param name="ext-x64" value=""/>
+			<param name="ext-x64" value="${extension-x64}"/>
 		</antcall>
 