Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 23620)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 23621)
@@ -781,5 +781,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0310b">By default the titles index (<b><AutoText key="metadata::dc.Title" type="plain"/>,<AutoText key="metadata::ex.Title" type="plain"/></b>) includes <AutoText key="metadata::dc.Title"/> and <AutoText key="metadata::ex.Title"/>. Searching this index will search both <AutoText key="metadata::dc.Title"/> and <AutoText key="metadata::ex.Title"/> metadata. If you want to restrict searching to just the manually added <AutoText key="metadata::dc.Title"/> metadata, edit this index and deselect <AutoText key="metadata::ex.Title"/> from the list of metadata.</Text>
+<Text id="0310b">By default the titles index (<b><AutoText key="metadata::dc.Title" type="plain"/>,<AutoText key="metadata::ex.Title" type="plain"/></b>) includes <AutoText key="metadata::dc.Title"/> and <AutoText key="metadata::ex.Title"/>. Searching this index will search both <AutoText key="metadata::dc.Title"/> and <AutoText key="metadata::ex.Title"/> metadata. If you wanted to restrict searching to just the manually added <AutoText key="metadata::dc.Title"/> metadata, edit this index and deselect <AutoText key="metadata::ex.Title"/> from the list of metadata.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -794,5 +794,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0318a">Now add an <AutoText text="AZCompactList"/> classifier for <AutoText key="metadata::dc.Creator"/>. Select <AutoText text="AZCompactList"/> from the <AutoText key="glidict::CDM.ClassifierManager.Classifier"/> drop-down list and click <AutoText key="glidict::CDM.ClassifierManager.Add" type="button"/>. A popup window <AutoText key="glidict::CDM.ArgumentConfiguration.Title"/> appears. Select <AutoText key="metadata::dc.Creator"/> from the <AutoText text="metadata"/> drop-down list and click <AutoText key="glidict::General.OK" type="button"/>.</Text>
+<Text id="0318a">Now add an <AutoText text="AZCompactList"/> classifier for <AutoText key="metadata::dc.Creator"/>. A popup window <AutoText key="glidict::CDM.ArgumentConfiguration.Title"/> appears. Select <AutoText text="AZCompactList"/> from the <AutoText key="glidict::CDM.ClassifierManager.Classifier"/> drop-down list and click <AutoText key="glidict::CDM.ClassifierManager.Add" type="button"/>. Select <AutoText key="metadata::dc.Creator"/> from the <AutoText text="metadata"/> drop-down list and click <AutoText key="glidict::General.OK" type="button"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -928,5 +928,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0322">Now we set the <AutoText text="firstvalueonly"/> option for the <AutoText key="coredm::_Global:labelCreator_" type="italics"/> classifier. Switch to the <AutoText key="glidict::CDM.GUI.Classifiers"/> section of the <AutoText key="glidict::GUI.Design"/> panel, select the <AutoText text="AZCompactList"/> for <AutoText key="metadata::dc.Creator"/> metadata in the <AutoText key="glidict::CDM.ClassifierManager.Assigned"/> box and click <AutoText key="glidict::CDM.ClassifierManager.Configure" type="button"/>. Select the <AutoText text="firstvalueonly"/> option.</Text>
+<Text id="0322">We'll now set the <AutoText text="firstvalueonly"/> option for the <AutoText key="coredm::_Global:labelCreator_" type="italics"/> classifier. Switch to the <AutoText key="glidict::CDM.GUI.Classifiers"/> section of the <AutoText key="glidict::GUI.Design"/> panel, select the <AutoText text="AZCompactList"/> for <AutoText key="metadata::dc.Creator"/> metadata in the <AutoText key="glidict::CDM.ClassifierManager.Assigned"/> box and click <AutoText key="glidict::CDM.ClassifierManager.Configure" type="button"/>. Select the <AutoText text="firstvalueonly"/> option.</Text>
 <Text id="0322a"><b>Rebuild</b> and <b>preview</b> the collection. Now the <AutoText key="coredm::_Global:labelCreator_" type="italics"/> list classifies documents based on the first author appearing in the <AutoText key="metadata::dc.Creator"/> metadata.</Text>
 <Text id="0322b">If you set the <AutoText text="metadata"/> field of <AutoText text="AZCompactList"/> to <Format><AutoText key="metadata::dc.Creator" type="plain"/><AutoText text=",ex.Creator" type="plain"/></Format> in the <TutorialRef id="word_pdf_collection"/> exercise, now the <AutoText key="coredm::_Global:labelCreator_" type="italics"/> list will classify based on the first author appearing in either the <AutoText key="metadata::dc.Creator"/> metadata or the <AutoText key="metadata::ex.Creator"/> metadata.</Text>