Index: /main/trunk/greenstone2/macros/slovak.dm
===================================================================
--- /main/trunk/greenstone2/macros/slovak.dm	(revision 23636)
+++ /main/trunk/greenstone2/macros/slovak.dm	(revision 23637)
@@ -70,4 +70,7 @@
 _textdescrhelp_ [l=sk] {Pomoc}  
 _textdescrpref_ [l=sk] {Nastavenia}  
+_textdescrlogin_ [l=sk] {Prihlasovacia strÃ¡nka}  
+_textdescrlogout_ [l=sk] {OdhlÃ¡siÅ¥ sa ako _cgiargun_}  
+
 _textdescrgreenstone_ [l=sk] {SoftvÃ©r digitÃ¡lnej kniÅŸnice Greenstone}  
 _textdescrusab_ [l=sk] {Äo je podÄŸa vÃ¡s nÃ¡roÄnÃ© na pouÅŸitie?}  
@@ -206,4 +209,7 @@
 _linktextHELP_ [l=sk] {POMOC}  
 _linktextPREFERENCES_ [l=sk] {NASTAVENIA}  
+_linktextLOGIN_ [l=sk] {PRIHLÃSIÅ€ SA}  
+_linktextLOGGEDIN_ [l=sk] {(prihlÃ¡senÃœ ako _cgiargun_)}  
+_linktextLOGOUT_ [l=sk] {ODHLÃSIÅ€ SA}  
 
 
Index: /main/trunk/greenstone2/macros/slovak2.dm
===================================================================
--- /main/trunk/greenstone2/macros/slovak2.dm	(revision 23636)
+++ /main/trunk/greenstone2/macros/slovak2.dm	(revision 23637)
@@ -371,5 +371,5 @@
 
 _textplatformtitle_ [l=sk] {platforma}  
-_textgreenstone3_ [l=sk] {Greenstone je schopnÃœ pracovaÅ¥ pod systÃ©mami Windows, Unix a Mac OS X. ZdrojovÃœ kÃ³d programu je plne prÃ­stupnÃœ s moÅŸnosÅ¥ou editÃ¡cie pod Microsoft C++, alebo gcc. Greenstone pracuje s voÄŸne dostupnÃœm softvÃ©rom : Apache Webserver a PERL.}  
+_textgreenstone3_ [l=sk] {Greenstone je schopnÃœ pracovaÅ¥ pod systÃ©mami Windows, Unix a Mac OS X. DistribÃºcia zahÅÅa kÃ³dy do vÅ¡etkÃœch verziÃ­ Windows, Linux a Mac OS X, zÃ¡roveÅ obsahuje zdrojovÃœ kÃ³d systÃ©mu s moÅŸnosÅ¥ou editÃ¡cie pod Microsoft C++, alebo gcc. Greenstone pracuje s voÄŸne dostupnÃœm softvÃ©rom : Apache Webserver a PERL. PouÅŸÃ­vateÄŸskÃ© rozhranie vyuÅŸÃ­va internetovÃœ prehliadaÄ, napr. Mozillu Firefox alebo Internet Explorer. }  
 
 _textgreenstone4_ [l=sk] {NajrozmanitejÅ¡ie zbierky digitÃ¡lnych dokumentov na CD-ROM boli vytvorenÃ© softvÃ©rom Greenstone. NaprÃ­klad zbierka <i>Humanity Development Library</i> obsahuje 1230 rÃŽznych publikÃ¡ciÃ­, od oblasti ÃºÄtovnÃ­ctva, aÅŸ po problematiku Äistoty vody. HardvÃ©rovÃ© nÃ¡roky na spustenie tÃœchto zbierok sÃº minimÃ¡lne. PrÃ­stup k informÃ¡ciÃ¡m je zabezpeÄenÃœ vyhÄŸadÃ¡vanÃ­m a prehliadanÃ­m podÄŸa rÃŽznych kategÃ³riÃ­.}  
@@ -397,13 +397,9 @@
 
 _textgs3title_ [l=sk] {verzie}  
-_textgs3_ [l=sk] {Verzia softvÃ©ru Greenstone 3 ponÃºka vÅ¡etky funkcie a vÃœhody verzie Greenstone 2.
-SoftvÃ©r je napÃ­sanÃœ v jazyku Java a funguje kompilÃ¡ciou nezÃ¡vislÃœch zÃ¡suvnÃœch modulov komunikujÃºcich v jazyku XML. DokumentÃ¡cia a testovacie verzie Greenstone 3 sÃº dostupnÃ© na strÃ¡nke <a href="http://www.greenstone.org/greenstone3.html"> Greenstone 3</a>.
-}  
+_textgs3_ [l=sk] {Verzia softvÃ©ru Greenstone 3 predstavuje kompletnÃœ redizajn priÄom ponÃºka vÅ¡etky funkcie a vÃœhody verzie Greenstone 2 - naprÃ­klad viacjazyÄnosÅ¥, multiplatformovosÅ¥ a vysokÃº mieru konfigurovateÄŸnosti. SystÃ©m je spÃ€tne kompatibilnÃœ, to znamenÃ¡ ÅŸe vÅ¡etky existujÃºce zbierky je moÅŸnÃ© spustiÅ¥ bez ÄalÅ¡Ã­ch zmien. SoftvÃ©r je napÃ­sanÃœ v jazyku Java a funguje kompilÃ¡ciou nezÃ¡vislÃœch zÃ¡suvnÃœch modulov komunikujÃºcich v jazyku XML. ModulÃ¡rny dizajn zvyÅ¡uje flexibilitu a rozsah Greenstone. DokumentÃ¡cia a testovacie verzie Greenstone 3 sÃº dostupnÃ© na strÃ¡nke <a href="http://www.greenstone.org/greenstone3-home">Greenstone 3</a>. }  
 
 _textcreditstitle_ [l=sk] {autori}  
 
-_textwhoswho_ [l=sk] {SoftvÃ©r Greenstone je vÃœsledkom spoloÄnej prÃ¡ce : Rodger McNab a Stefan Boddie (principal architects and implementors). Äalej k vytvoreniu prispeli : David Bainbridge, George
-Buchanan, Hong Chen, Michael Dewsnip, Katherine Don, Elke Duncker, Carl Gutwin, Geoff Holmes, Dana McKay, John McPherson, Craig Nevill-Manning, Dynal Patel, Gordon Paynter, Bernhard Pfahringer, Todd Reed, Bill Rogers, John Thompson, Stuart Yeates, Älenovia projektu New Zealand Digital Library : Mark Apperley, Sally Jo Cunningham, Matt Jones, Steve Jones, Te Taka Keegan, Michel Loots, Malika Mahoui, Gary Marsden, Dave Nichols a Lloyd Smith.
-}  
+_textwhoswho_ [l=sk] {SoftvÃ©r Greenstone je vÃœsledkom spoloÄnej prÃ¡ce skupiny ÄŸudÃ­. ZakladateÄŸmi projektu boli Ian Witten, Rodger McNab a Stefan Boddie. Äalej k vytvoreniu prispeli : _contributorlist_  ÄalÅ¡Ã­ Älenovia projektu New Zealand Digital Library, ktorÃ­ poskytli inÅ¡pirÃ¡ciu v dizajne systÃ©mu :  _inspirationlist_ Radi by sme sa poÄakovali aj prispievateÄŸom do GNU-licencovanÃœch balÃ­kov zahrnutÃœch v tejto distribÃºcii:  _gnupackagelist_ }  
 
 _textaboutgslong_ [l=sk] {o softvÃ©ri Greenstone}  