Index: main/trunk/greenstone2/macros/chinese-trad.dm
===================================================================
--- main/trunk/greenstone2/macros/chinese-trad.dm	(revision 23638)
+++ main/trunk/greenstone2/macros/chinese-trad.dm	(revision 23639)
@@ -4,5 +4,4 @@
 # Traditional Chinese Language text and icon macros
 # Many thanks to Shu-Jen Show and team (translated November 2004) 
-# Many thanks to Lilly Ho (updated February 2009)
 #
 ######################################################################
@@ -28,4 +27,6 @@
 _textsignin_ [l=zh-tr] {ç»å
 ¥}
+
+_texttruncated_ [l=zh-tr] {[çž®ç­]}  
 
 _textdefaultcontent_ [l=zh-tr] {æŸäžå°ç¶²é ïŒè«æ"äžäžé "æ"éŠé ",åå°Geeenstone æžäœåæžé€šã}
@@ -54,4 +55,8 @@
 _textdescrhelp_ [l=zh-tr] {åž®å©é¡µ}
 _textdescrpref_ [l=zh-tr] {åäººåå¥œèš­å®é }
+_textdescrlogin_ [l=zh-tr] {ç»å
+¥é é¢}  
+_textdescrlogout_ [l=zh-tr] {ä»¥ _cgiargun_ ç»åº}  
+
 _textdescrgreenstone_ [l=zh-tr] {Greenstone æžäœåæžé€šè»é«}
 _textdescrusab_ [l=zh-tr] {äœ åšäœ¿çšäžæç¢°å°ä»éºŒå°é£åïŒ}
@@ -125,4 +130,8 @@
 _textAcronym_ [l=zh-tr] {éŠå­æ¯ççž®å¯«}  
 _labelAcronym_ [l=zh-tr] {çž®å¯«å­}
+_textAuthor_ [l=zh-tr] {äœè
+}  
+_textAuthors_ [l=zh-tr] {äœè
+}  
 
 # Navigation bar tooltip - to customize this for a specific metadata, add a macro named _textdescrXXX_ where XXX is the metadata name
@@ -157,4 +166,6 @@
 _texticonrtf_ [l=zh-tr] {æª¢èŠ RTF æä»¶}  
 _texticonxls_ [l=zh-tr] {æª¢èŠ Microsoft Excel æä»¶}  
+_texticonogg_ [l=zh-tr] {çèŠœ Ogg Vorbis æä»¶}  
+_texticonrmvideo_ [l=zh-tr] {çèŠœ Real Media æä»¶}  
 
 _page_ [l=zh-tr] {é }
@@ -180,7 +191,11 @@
 _textmonth12_ [l=zh-tr] {åäºæ}
 
+_texttext_ [l=zh-tr] {æå­}  
+_labeltext_ [l=zh-tr] {_texttext_} 
 _textdocument_ [l=zh-tr] {æä»¶}
 _textsection_ [l=zh-tr] {åæ®µ}
 _textparagraph_ [l=zh-tr] {æ®µèœ}
+_textchapter_ [l=zh-tr] {ç« }  
+_textbook_ [l=zh-tr] {æžè}  
 
 _magazines_ [l=zh-tr] {æå}
@@ -195,4 +210,9 @@
 _linktextHELP_ [l=zh-tr] {å¹«å©}
 _linktextPREFERENCES_ [l=zh-tr] {åäººåå¥œèš­å®é }
+_linktextLOGIN_ [l=zh-tr] {ç»å
+¥}  
+_linktextLOGGEDIN_ [l=zh-tr] {(ä»¥ _cgiargun_ èº«ä»œç»å
+¥)}  
+_linktextLOGOUT_ [l=zh-tr] {ç»åº}  
 
 
@@ -392,6 +412,8 @@
 #"Words  (fold, stem)  ... in field"
 _textwordphrase_ [l=zh-tr] {å­å¥}  
-_textinfield_ [l=zh-tr] {... åšé å}
-_textfoldstem_ [l=zh-tr] {(è³æå€Ÿ, çµå°Ÿ)}
+_textinfield_ [l=zh-tr] {... åšæ¬äœ}  
+_textfieldphrase_ [l=zh-tr] {æ¬äœ}  
+_textinwords_ [l=zh-tr] {... è©åœ}  
+_textfoldstem_ [l=zh-tr] {(è³æå€Ÿ, çµå°Ÿ)}  
 
 _textadvquery_ [l=zh-tr] {æçŽæ¥èŒžå
@@ -409,8 +431,9 @@
 # unset
 
-_textsimplesearch_ [l=zh-tr] {åš _indexselection_ _If_(_jselection_,of _jselection_ )_If_(_gselection_, at _gselection_ level )_If_(_nselection_,in _nselection_ language ) é²è¡æå°ïŒå
-å« _querytypeselection_ ç words_If_(_sfselection_,\,_allowformbreak_ sorting results by _sfselection_)}  
-_textsimplesqlsearch_ [l=zh-tr] {åš _indexselection_ _If_(_jselection_,of _jselection_ )_If_(_gselection_, at _gselection_ level )_If_(_nselection_,in _nselection_ language ) é²è¡æå°ïŒå
-å« _querytypeselection_ ç words_If_(_sqlsfselection_,\,_allowformbreak_ sorting results by _sqlsfselection_)}  
+# the space after "level" (before the right bracket) is required, otherwise no space between "Search" and "in"
+
+_textsimplesearch_ [l=zh-tr] {åš _indexselection__If_(_jselection_, associated with _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\,_allowformbreak_ sorting results by _sfselection_) é²è¡æå°ïŒå
+å«  _querytypeselection_ çè©åœ}  
+_textsimplesqlsearch_ [l=zh-tr] {åš _indexselection__If_(_jselection_, associated with _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sqlsfselection_,\,_allowformbreak_ sorting results by _sqlsfselection_) é²è¡æå°ïŒä»¥å°æŸ  _querytypeselection_ çè©åœ}  
 
 _textadvancedsearch_ [l=zh-tr] {åš _indexselection_ _If_(_jselection_,of _jselection_ )_If_(_gselection_,at _gselection_ level )_If_(_nselection_,in _nselection_ language ) é²è¡æå°ïŒå¯äœ¿çš _querytypeselection_ èªæ³æ¥è©¢}  
@@ -419,12 +442,15 @@
 
 _textadvancedlucenesearch_ [l=zh-tr] {åš _indexselection__If_(_jselection_, associated with _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\,_allowformbreak_ sorting results by _sfselection_\,) é²è¡æå° ïŒä»¥äœ}  
-_textadvancedsqlsearch_ [l=zh-tr] {åš _indexselection__If_(_jselection_, associated with _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sqlsfselection_,\,_allowformbreak_ sorting results by _sqlsfselection_\,) é²è¡æå° ïŒä»¥äœ}  
+_textadvancedsqlsearch_ [l=zh-tr] {åš _indexselection__If_(_jselection_, associated with _jselection_)_If_(_gselection_, at _gselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sqlsfselection_,\,_allowformbreak_ sorting results by _sqlsfselection_\,) é²è¡æå° ïŒä»¥äœ }  
+
+# the space after "Search" is required, otherwise no space between "Search" and "in"
 
 _textformsimplesearch_ [l=zh-tr] {åš _If_(_jselection_, _jselection_ )_If_(_gformselection_,at _gformselection_ level )_If_(_nselection_,in _nselection_ language) é²è¡æå°ïŒä»¥ _formquerytypesimpleselection_ æ¥è©¢}  
-
-_textformadvancedsearchmgpp_ [l=zh-tr] {åš _If_(_jselection_,_jselection_ )_If_(_gformselection_,at _gformselection_ level )_If_(_nselection_,in _nselection_ language ) é²è¡æå°ïŒäžŠå°çµæä»¥ã_formquerytypeadvancedselection_ æ¬¡åºé¡¯ç€ºåºäŸïŒ}  
+_textformsimplesearchsql_ [l=zh-tr] {æå° _If_(_jselection_, in _jselection_)_If_(_gformselection_, at _gformselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sqlsfselection_,\, sorting results by _sqlsfselection_\,)ïŒä»¥ _formquerytypesimpleselection_  æ¥è©¢}  
+
+_textformadvancedsearchmgpp_ [l=zh-tr] {åš _If_(_jselection_,_jselection_ )_If_(_gformselection_,at _gformselection_ level )_If_(_nselection_,in _nselection_ language ) é²è¡æå°ïŒäžŠå°çµæä»¥ _formquerytypeadvancedselection_ æ¬¡åºé¡¯ç€ºåºäŸ}  
 
 _textformadvancedsearchlucene_ [l=zh-tr] {åš _If_(_jselection_, _jselection_)_If_(_gformselection_,  at _gformselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\, sorting results by _sfselection_\,) é²è¡æå°ïŒä»¥äœ }  
-_textformadvancedsearchsql_ [l=zh-tr] {åš _If_(_jselection_, _jselection_)_If_(_gformselection_,  at _gformselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sqlsfselection_,\, sorting results by _sqlsfselection_\,) é²è¡æå°ïŒä»¥äœ }  
+_textformadvancedsearchsql_ [l=zh-tr] {æå° _If_(_jselection_, in _jselection_)_If_(_gformselection_, at _gformselection_ level )_If_(_nselection_, in _nselection_ language)_If_(_sqlsfselection_,\, sorting results by _sqlsfselection_\,)ïŒä»¥äœ}  
 
 _textnojsformwarning_ [l=zh-tr] {è­Šå: Javascript å·è¡ç°å¢è¢«çèŠœåšééäºïŒ<br>çºäºèŠå·è¡è¡šæ Œæ¥è©¢è«éåJavascriptã}
@@ -513,4 +539,6 @@
 _textsearchtype_ [l=zh-tr] {æ¥è©¢èªæ³æ¬ŸåŒ}  
 _textformsearchtype_ [l=zh-tr] {å¡«æ»¿ _formnumfieldoption_ æ¬äœ}  
+_textsqlformsearchtype_ [l=zh-tr] {SQL æ¬å
+å« _sqlformnumfieldoption_æ¬äœ}  
 _textplainsearchtype_ [l=zh-tr] {æ­£åžžç _boxsizeoption_ æ¥è©¢èªæ³é 
 ç®}  
@@ -524,4 +552,16 @@
 _textnohistorydisplay_ [l=zh-tr] {äžèŠååºæ¥è©¢çæ­·å²çŽé}  
 
+_textbookoption_ [l=zh-tr] {æžè©äººæš¡åŒ}  
+_textbookvieweron_ [l=zh-tr] {éå}  
+_textbookvieweroff_ [l=zh-tr] {éé}  
+
+# html options
+_textdoclayout_ [l=zh-tr] {æä»¶çé é¢èš­èš}  
+_textlayoutnavbar_ [l=zh-tr] {äžé¢çå°èªæ¬}  
+_textlayoutnonavbar_ [l=zh-tr] {æ²æå°èªæ¬}  
+
+_texttermhighlight_ [l=zh-tr] {æª¢çŽ¢å­é¡¯ç€º}  
+_texttermhighlighton_ [l=zh-tr] {é¡¯ç€ºæª¢çŽ¢å­}  
+_texttermhighlightoff_ [l=zh-tr] {äžé¡¯ç€ºæª¢çŽ¢å­}  
 
 #####################################################################
Index: main/trunk/greenstone2/macros/chinese-trad2.dm
===================================================================
--- main/trunk/greenstone2/macros/chinese-trad2.dm	(revision 23638)
+++ main/trunk/greenstone2/macros/chinese-trad2.dm	(revision 23639)
@@ -2,9 +2,7 @@
 ######################################################################
 #
-# Traditional Chinese Language text and icon macros  
+# Traditional Chinese Language text and icon macros 
 # -- this file contains text that is of less importance
 # -- to translate when creating a new interface language
-# 
-# Many thanks to Lilly Ho (updated February 2009)
 ######################################################################
 
@@ -681,5 +679,5 @@
 }
 
-_textexptfail_ [l=zh-tr] { <p>ç¡æ³èŒžåº _cgiargbc1dirname_ çå
+_textexptfail_ [l=zh-tr] {<p>ç¡æ³èŒžåº _cgiargbc1dirname_ çå
 žèè³æåº«ã
 
@@ -778,12 +776,11 @@
 
 _textplatformtitle_ [l=zh-tr] {å¹³å°}
-_textgreenstone3_ [l=zh-tr] {Greenstoneå¯åš WindowsãUnix å Mac OS Xäžå·è¡ãå
-¶åäœæ¶µèäºWindowsã LinuxåMac OS X çå¯å·è¡æªïŒå®ä¹å
-å«äºå¯è¢«Microsoft C++ægccç·šè­¯çå®æŽç³»çµ±åå§ç¢Œã
-Greenstoneäœ¿çšå
-è²»ççžéè»ïŒApache Webserver å PERLïŒäœ¿çšè
-ä»é¢æçšçç¶²é çèŠœåšïŒå
-žåç Netscape Navigator æ Internet Explorerã 
-}
+_textgreenstone3_ [l=zh-tr] {Greenstone å¯ä»¥åå¥åš WindowsãUnix å Mac OS X çäœæ¥­ç³»çµ±äžå·è¡ãå
+¶åäœå
+æ¬ Windowsã Linux å Mac OS X ææçæ¬çå¯å·è¡æªãåæ,å®ä¹å
+å«äºå¯è¢« Microsoft C++ æ gcc ç·šè­¯çå®æŽç³»çµ±åå§ç¢ŒãGreenstone äœ¿çšçå
+è²»çžéè»ä»¶çºïŒApache Webserver å PERL;èäœ¿çšè
+çé¢åçšç¶²é çèŠœåšïŒå
+žåç Mozilla FireFox æ Internet Explorerã  }  
 
 _textgreenstone4_ [l=zh-tr] {æåŸå€å
@@ -841,31 +838,18 @@
 
 _textgs3title_ [l=zh-tr] {åšç¢åäž­}
-_textgs3_ [l=zh-tr] {Greenstone 3 æ¯ä¿çGreenston 2(ç®åç)çåªé»åŸéæ°èš­èšåå·è¡ççæ¬-äŸåŠïŒå®æ¯å€èªèšãå€å¹³å°åé«åºŠåœæ§é
-çœ®ïŒå®å
-å«äºçŸæç³»çµ±çç¹è²äžåäžçžå®¹ïŒä¹å°±æ¯èªªïŒå®äžéä¿®æ¹å³å¯å»ºæ§åå·è¡çŸæå
-žèè³æåº«ïŒå®æ¯çšJavaå¯«çïŒç±äœ¿çšXMLæºéççšç«æš¡çµç¶²è·¯æå»ºæ§ïŒå æ­€å®æ¯äœ¿çšæŽŸéçæš¡åŒäžå¿
-èŠæå¯æŽå±å°äžåçäŒºæ
-åšãéçš®æš¡çµèš­èšå¢å äºGreenstoneçåœæ§åæŽå
-
-æ§.ïŒæ°çé èšæŒ2003å¹Ž12æ23æ¥éå§è©ŠçšïŒç³»çµ±çèµ·å§èš­èšç¥è¿°æŒâGreenstone 3çèš­èš:ïŒä»¥ä»£çäººçšåŒçºåºç€çâåæ
-æžäœåæžé€š" (äžèŒ<a href="http://www.greenstone.org/manuals/gs3design.pdf">PDF</a>).
-}
+_textgs3_ [l=zh-tr] {Greenstone 3 æ¯ä¿ç Greenston 2 (ç®åçæ¬) çåªé»ïŒäžŠéæ°èš­èšåèŠè¡ççæ¬ãGreenstone 3 æ¯åäžåèœæ¯æŽå€çš®èªèšãå€åäœæ¥­å¹³å°åææé«åºŠåœæ§é
+çœ®çè»ä»¶ïŒGreenstone 3 èœåäžçžå®¹ïŒä¹å°±æ¯èªªïŒå®äžéèŠä¿®æ¹,äŸ¿å¯ä»¥å»ºæ§åå·è¡çŸæçé€šèãGreenstone 3 æ¯ä»¥ Java çšåŒç·šå¯«ïŒå»ºæäœ¿çš XML æºéä¹çšç«æš¡çµçç¶²è·¯ïŒå æ­€,å®æ¯ä»¥æŽŸéçæš¡åŒäŸå·è¡,äž åšå¿
+èŠæå¯ä»¥æŽå±å°äžåçäŒºæåšäžãéçš®æš¡çµèš­èšå¢å äº Greenstone çåœæ§åæŽå
+
+æ§ãGreenstone 3 ççžéæä»¶åæ°çæ¬å¯æŒ <a href="http://www.greenstone.org/greenstone3-home">Greenstone 3 home page</a> äžèŒã }  
 
 _textcreditstitle_ [l=zh-tr] {è®æ}
 
-_textwhoswho_ [l=zh-tr] {Greenstoneè»é«æ¯èš±å€äººéååäœæç¢ççã Rodger McNab å Stefan Boddie 
-æ¯äž»èŠçèš­èšåž«åå·è¡è
-ïŒ David Bainbridgeã George Buchananã Hong Chenã
-Michael DewsnipãKatherine DonãElke DunckerãCarl GutwinãGeoff Holmesã
-Dana McKayã John McPhersonã Craig Nevill-Manningã Dynal PatelãGordon 
-Paynterã Bernhard Pfahringerã Todd Reedã Bill RogersãJohn Thompsonå Stuart 
-Yeatesä¹æèš±å€è²¢ç»ãçŽè¥¿è­æžäœåæžé€šçæå¡ä¹æäŸäºå¯¶è²Žçå»ºè­°åç³»çµ±èš­
-èšçéæïŒ Mark ApperleyãSally Jo Cunninghamã Matt JonesãSteve Jonesã Te 
-Taka Keeganã Michel Lootsã Malika Mahouiã Gary Marsdenã Dave Nichols å 
-Lloyd Smithã æåä¹èŠæè¬å°å
-å«åšæ­€çæ¬å
-§çGNU-èš±å¯å¥è£ïŒ MGã 
-GDBMã PDFTOHTMLãPERLã WGETãWVWARE å XLHTMLæè²¢ç»çäºº. 
-}
+_textwhoswho_ [l=zh-tr] {Greenstone è»ä»¶æ¯ç±èš±å€äººéååäœèæççµæãIan Witten æ¯éåèšåçäž»èŠæå¡ïŒRodger McNab å Stefan Boddie åå¥æ¯éåèšåçèš­èšåž«åå·è¡è
+ãå
+¶ä»çæå¡å
+æ¬ David Bainbridgeã George Buchananã Hong ChenãMichael DewsnipãKatherine DonãElke DunckerãCarl GutwinãGeoff HolmesãDana McKayã John McPhersonã Craig Nevill-Manningã Dynal PatelãGordon Paynterã Bernhard Pfahringerã Todd Reedã Bill RogersãJohn Thompsonå Stuart Yeatesãè³æŒïŒçŽè¥¿è­æžäœåæžé€š (New Zealand Digital Library) èšåçæå¡,å
+æ¬ïŒ Mark ApperleyãSally Jo Cunninghamã Matt JonesãSteve Jonesã Te Taka Keeganã Michel Lootsã Malika Mahouiã Gary Marsdenã Dave Nichols å Lloyd SmithïŒåçº Greenstone çç³»çµ±èš­èšçµŠäºå¯¶è²Žçå»ºè­°åéæãæåäºŠèŠæè¬ææçºæ­€çæ¬äœåºè²¢ç»çGNU-èš±å¯å
+ (GNU-licensed packages)ïŒMGãGDBMã PDFTOHTMLãPERLã WGETãWVWARE å XLHTMLã }  
 
 _textaboutgslong_ [l=zh-tr] {éæŒ Greenstone è»é«}
@@ -925,35 +909,21 @@
 _textaboutgroups_ [l=zh-tr] {çŸ€çµçºäžéèåéçè¡šå®ïŒéèåŸäžå¯æç©ºæ Œã}
 _textavailablegroups_ [l=zh-tr] {é å
-èš­å®çŸ€çµïŒå
+èš­å®ççŸ€çµå
 æ¬ç®¡çè
-ãå
+åå
 ¶ä»æ¬éåé
 è
- (äŸåŠäœ¿çšåæžé€šé€šé·ä»é¢ïŒä»¥å»ºç«é ç«¯å
-žèè³æåº«) æå­æ¬Ÿè
-ïŒ
-<ul>
-<li><b>ç®¡çè
-</b>ïŒ çµŠäºå
-èš±ïŒä»¥é²å
-¥åæŽæ¹ç¶²ç«çé
-çœ®åäœ¿çšè
-åž³æ¶è³æ
-<li><b>åäºº-å
-žèè³æåº«-ç·šèŒ¯</b>ïŒ çµŠäºå
-èš±ïŒä»¥å»ºç«æ°çåäººå
-žèè³æåº«
-<li><b><å
-žèè³æåº«-åçš±>-å
-žèè³æåº«-ç·šèŒ¯</b>ïŒçµŠäºå
-èš±ïŒä»¥å»ºç«åç·šèŒ¯ "collection-name" çå
-žèè³æåº«ïŒäŸåŠïŒå ±å-å
-žèè³æåº«-ç·šèŒ¯
-<li><b>ææ-å
-žèè³æåº«-ç·šèŒ¯</b>ïŒçµŠäºå
-èš±ïŒä»¥å»ºç«/ç·šèŒ¯æ°çåäººåç°çå
-žèè³æåº«<b>ææ</b>å
-žèè³æåº«
-</ul>}  
+ãäŸåŠïŒçµŠäºäœ¿çšè
+æ¬éïŒä»¥äœ¿çšåæžé€šé€šé·ç (Librarian Interface) é¢äŸå»ºç«é ç«¯é€šèæå­æ¬Ÿè
+ (Depositor)ïŒ <ul> <li><b>ç®¡çè
+</b>ïŒçµŠäºäœ¿çšè
+æ¬éïŒä»¥ç»å
+¥ãæŽæ¹ç¶²ç«é
+çœ®åçšæ¶è³æ <li><b>åäºº-é€šè-ç·šèŒ¯</b>ïŒçµŠäºäœ¿çšè
+æ¬éïŒä»¥æ°åµå»ºåäººé€šè <li><b><é€šè-åçš±>-é€šè-ç·šèŒ¯</b>ïŒçµŠäºäœ¿çšè
+æ¬éïŒä»¥åµå»ºåç·šèŒ¯ "é€šè-åçš±" çé€šèïŒäŸåŠïŒå ±å-é€šè-ç·šèŒ¯ïŒ <li><b>ææ-é€šè-ç·šèŒ¯</b>ïŒçµŠäºäœ¿çšè
+æ¬éïŒä»¥æ°åµå»ºåäººåç¶åé€šèïŒèåç·šèŒ¯<b>ææ</b>é€šèãåæïŒçµŠäºäœ¿çšè
+æ¬éäœ¿çšæ¶éè
+(Collector) </ul>}  
 
 
@@ -1249,5 +1219,5 @@
 _textgtitutorials_ [l=zh-tr] {åäººç·Žç¿}  
 _textgtigreenorg_ [l=zh-tr] {Greenstone.org}  
-_textgtigs3interface_ [l=zh-tr] {Greenstone3 ä»é¢}  
+_textgtigs3interface_ [l=zh-tr] {Greenstone 3 çé¢}  
 
 #for greenstone manuals