Index: main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml
===================================================================
--- main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml	(revision 23644)
+++ main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml	(revision 23645)
@@ -4,10 +4,5 @@
 	<target name="compile" depends="init,gs2-init">
 	<!-- checkout greenstone2 (or gsdl if a pre-2.84 release is being created) and gli -->
-		<if>
-			<bool>
-				<or>
-					<equals arg1="${post.2.83.version}" arg2="true"/>
-				</or>
-			</bool>
+		<if><bool><equals arg1="${post.2.83.version}" arg2="true"/></bool>
 			<exec executable="svn">
 				<arg value="checkout"/>
@@ -49,9 +44,6 @@
 		<!-- mac or linux: get the support library -->
 		<if><bool><or><equals arg1="${rk.os}" arg2="mac"/><equals arg1="${rk.os}" arg2="linux"/></or></bool>
-			<!-- checkout the gnome support library extension-->
-			<if><bool><or>
-			      <equals arg1="${post.2.83.version}" arg2="true"/>
-			</or></bool>
-				<!-- Check out the pre-compiled version of the gnome-lib extension rather than compiling it from scratch -->
+			<!-- svn export the gnome support library extension-->
+			<if><bool><equals arg1="${post.2.83.version}" arg2="true"/></bool>
 				<echo>EXPORTING GNOME LIB EXTENSION</echo>
 				<exec executable="svn">
@@ -103,7 +95,5 @@
 			
 			<!-- unzip expat if the version is less that 2.84 -->
-			<if><bool><and>
-				<equals arg1="${post.2.83.version}" arg2="false"/>
-			</and></bool>
+			<if><bool><equals arg1="${post.2.83.version}" arg2="false"/></bool>
 				<unzip src="${basedir}/compiled/common-src/packages/windows/expat/expat.zip" dest="${basedir}/compiled/common-src/packages/windows/expat"/>
 			</if>
@@ -115,7 +105,5 @@
 			<!-- get winbin from tags if the version is greater than 2.83 otherwise get it from trunk -->
 			<if><bool><not><available file="${basedir}/compiled/bin/windows"/></not></bool>
-				<if><bool><and>
-					<equals arg1="${post.2.83.version}" arg2="true"/>
-				</and></bool>
+				<if><bool><equals arg1="${post.2.83.version}" arg2="true"/></bool>
 					
 					<exec executable="svn">
@@ -232,22 +220,13 @@
 		</if>
 
-		<!-- Delete the entire gnome support library on Linux -->
-		<if><bool><equals arg1="${rk.os}" arg2="linux"/></bool>
-			<delete dir="${basedir}/compiled/ext/gnome-lib-minimal"/>
-			<delete file="${basedir}/compiled/ext/gnome-lib-minimal-linux.tar.gz"/>
-		</if>
-
-		<!-- Delete all but the lib folder and the setup.bash script of the gnome support library on Mac -->
-		<if><bool><equals arg1="${rk.os}" arg2="mac"/></bool>
-			<delete dir="${basedir}/compiled/ext/gnome-lib-minimal/cascade-make"/>
-			<delete dir="${basedir}/compiled/ext/gnome-lib-minimal/packages"/>
-			<delete dir="${basedir}/compiled/ext/gnome-lib-minimal/darwin/bin"/>
-			<delete dir="${basedir}/compiled/ext/gnome-lib-minimal/darwin/etc"/>
-			<delete dir="${basedir}/compiled/ext/gnome-lib-minimal/darwin/include"/>
+		<!-- Delete all but the lib folder and the setup.bash script of the gnome support library -->
+		<if><bool><or><equals arg1="${rk.os}" arg2="mac"/><equals arg1="${rk.os}" arg2="linux"/></or></bool>
+			<delete dir="${basedir}/compiled/ext/gnome-lib-minimal/${os.shell}/bin"/>
+			<delete dir="${basedir}/compiled/ext/gnome-lib-minimal/${os.shell}/include"/>
 			<delete file="${basedir}/compiled/ext/gnome-lib-minimal/setup.bat"/>
-			<delete file="${basedir}/compiled/ext/gnome-lib-minimal/CASCADE-MAKE.sh"/>
-			<delete file="${basedir}/compiled/ext/gnome-lib-minimal-darwin.tar.gz"/>
-		</if>
-		
+			<delete file="${basedir}/compiled/ext/gnome-lib-minimal/devel.bash"/>
+			<delete file="${basedir}/compiled/ext/gnome-lib-minimal-${os.shell}.tar.gz"/>
+		</if>
+
 		<!-- insert the necessary additional xml parser versions-->
 		<if><bool><equals arg1="${rk.os}" arg2="linux"/></bool>
@@ -294,8 +273,5 @@
 		<!-- build demo collection -->
 		<!-- the envs on these execs simulate the environment when you run setup.bat -->
-		<if>
-			<bool>
-				<equals arg1="${rk.os}" arg2="windows"/>
-			</bool>	
+		<if><bool><equals arg1="${rk.os}" arg2="windows"/></bool>	
 			
 			<exec dir="${basedir}/compiled" executable="${basedir}/compiled/bin/windows/perl/bin/perl">
@@ -378,7 +354,5 @@
 			<delete dir="compiled/bin/linux/imagemagick"/>
 
-			<if><bool><or>
-			      <equals arg1="${post.2.83.version}" arg2="true"/>
-			</or></bool>
+			<if><bool><equals arg1="${post.2.83.version}" arg2="true"/></bool>
 			        <if><bool><equals arg1="${x64}" arg2="true"/></bool>
 					<exec executable="svn">
@@ -430,7 +404,5 @@
 			<delete dir="compiled/bin/darwin/ghostscript"/>
 
-			<if><bool><and>
-			      <equals arg1="${post.2.83.version}" arg2="true"/>
-			</and></bool>
+			<if><bool><equals arg1="${post.2.83.version}" arg2="true"/></bool>
 
 				<exec executable="svn">
@@ -480,7 +452,5 @@
 			<get src="${server.exe.location}" dest="compiled/bin/windows/server.exe"/>
 
-			<if><bool><and>
-			      <equals arg1="${post.2.83.version}" arg2="true"/>
-			</and></bool>
+			<if><bool><equals arg1="${post.2.83.version}" arg2="true"/></bool>
 				<get src="${svn.root}/main/${branch.path}/binaries/windows/bin/Setup.exe" dest="compiled/bin/windows/Setup.exe"/>
 				<get src="${svn.root}/main/${branch.path}/binaries/windows/bin/gssetup.exe" dest="compiled/bin/windows/gssetup.exe"/>